Index: release-kits/lirk3/ant-scripts/wrap.xml
===================================================================
--- release-kits/lirk3/ant-scripts/wrap.xml	(revision 16243)
+++ release-kits/lirk3/ant-scripts/wrap.xml	(revision 16684)
@@ -3,96 +3,91 @@
 
 	<target name="wrap">
-		<addressedcall target="setup-for-wrapping"/>
-		<addressedcall target="compile-wrapper"/>
+		<antcall target="setup-for-wrapping"/>
+		<antcall target="compile-wrapper"/>
 	</target>
 
 	<target name="setup-for-wrapping">
-		<if><bool><istrue value="${execute}"/></bool>
 
-			<!-- create and setup the build directory -->
-			<mkdir dir="${basedir}/wrapped-installer/build"/>
-			<copy todir="${basedir}/wrapped-installer/build" file="${lirk3.home}/linux/wrapper.cpp" overwrite="true" />
-			<copy todir="${basedir}/wrapped-installer/build" file="${lirk3.home}/packages/search4j/libsearch4j.cpp" overwrite="true" />
-			<copy todir="${basedir}/wrapped-installer/build" file="${lirk3.home}/packages/search4j/libsearch4j.h" overwrite="true" />
+		<!-- create and setup the build directory -->
+		<mkdir dir="${basedir}/wrapped-installer/build"/>
+		<copy todir="${basedir}/wrapped-installer/build" file="${lirk3.home}/linux/wrapper.cpp" overwrite="true" />
+		<copy todir="${basedir}/wrapped-installer/build" file="${lirk3.home}/packages/search4j/libsearch4j.cpp" overwrite="true" />
+		<copy todir="${basedir}/wrapped-installer/build" file="${lirk3.home}/packages/search4j/libsearch4j.h" overwrite="true" />
 
-			<!-- copy bundled files -->
-			<copy todir="${basedir}/wrapped-installer/build" file="${lirk3.home}/linux/${linux-java.installer}"/>
-			<copy todir="${basedir}/wrapped-installer/build" file="${basedir}/installer/greenstone3.jar"/>
-			<copy todir="${basedir}/wrapped-installer/build" file="${basedir}/installer/greenstone3-with-java.jar"/>
+		<!-- copy bundled files -->
+		<copy todir="${basedir}/wrapped-installer/build" file="${lirk3.home}/linux/${linux-java.installer}"/>
+		<copy todir="${basedir}/wrapped-installer/build" file="${basedir}/installer/greenstone3.jar"/>
+		<copy todir="${basedir}/wrapped-installer/build" file="${basedir}/installer/greenstone3-with-java.jar"/>
 
-			<!-- substitute the real java installer filename and min version into various files -->
-			<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@java.installer@" replacement="${linux-java.installer}"/>
-			<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@installer.name@" replacement="greenstone3"/>
-			<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@java.extracted@" replacement="${linux-java.extracted}"/>
-			<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@java.min.version@" replacement="${java.min.version}"/>
+		<!-- substitute the real java installer filename and min version into various files -->
+		<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@java.installer@" replacement="${linux-java.installer}"/>
+		<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@installer.name@" replacement="greenstone3"/>
+		<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@java.extracted@" replacement="${linux-java.extracted}"/>
+		<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@java.min.version@" replacement="${java.min.version}"/>
 
-		</if>
 	</target>
 
 	<target name="compile-wrapper">
-		<if><bool><istrue value="${execute}"/></bool>
-
-			<echo level="info">create an object file (extension .o) for each file to bundle</echo>
-			<exec executable="/usr/bin/objcopy" dir="${basedir}/wrapped-installer/build">
-				<arg line="-I binary -O elf32-i386 -B i386 --redefine-sym _binary_greenstone3_jar_start=greenstone3jar --readonly-text greenstone3.jar greenstone3.jar.o"/>
-			</exec>
-			<exec executable="/usr/bin/objcopy" dir="${basedir}/wrapped-installer/build">
-				<arg line="-I binary -O elf32-i386 -B i386 --redefine-sym _binary_greenstone3_with_java_jar_start=greenstone3jar --readonly-text greenstone3-with-java.jar greenstone3-with-java.jar.o"/>
-			</exec>
-			<exec executable="/usr/bin/objcopy" dir="${basedir}/wrapped-installer/build">
-				<arg line="-I binary -O elf32-i386 -B i386 --redefine-sym _binary_${linux-java.installer}_start=java --readonly-text ${linux-java.installer} java.o"/>
-			</exec>
+		<echo level="info">create an object file (extension .o) for each file to bundle</echo>
+		<exec executable="/usr/bin/objcopy" dir="${basedir}/wrapped-installer/build">
+			<arg line="-I binary -O elf32-i386 -B i386 --redefine-sym _binary_greenstone3_jar_start=greenstone3jar --readonly-text greenstone3.jar greenstone3.jar.o"/>
+		</exec>
+		<exec executable="/usr/bin/objcopy" dir="${basedir}/wrapped-installer/build">
+			<arg line="-I binary -O elf32-i386 -B i386 --redefine-sym _binary_greenstone3_with_java_jar_start=greenstone3jar --readonly-text greenstone3-with-java.jar greenstone3-with-java.jar.o"/>
+		</exec>
+		<exec executable="/usr/bin/objcopy" dir="${basedir}/wrapped-installer/build">
+			<arg line="-I binary -O elf32-i386 -B i386 --redefine-sym _binary_${linux-java.installer}_start=java --readonly-text ${linux-java.installer} java.o"/>
+		</exec>
 
 
-			<!-- get size of greenstone.jar -->
-			<exec executable="ls" dir="${basedir}/wrapped-installer/build" outputproperty="greenstone3.jar.ls"><arg line="-l greenstone3.jar"/></exec>
-			<exec executable="sed" inputstring="${greenstone3.jar.ls}" outputproperty="greenstone3.jar.size"><arg line="-e 's/^[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *\([0-9]*\).*$/\1/g'"/></exec>
+		<!-- get size of greenstone.jar -->
+		<exec executable="ls" dir="${basedir}/wrapped-installer/build" outputproperty="greenstone3.jar.ls"><arg line="-l greenstone3.jar"/></exec>
+		<exec executable="sed" inputstring="${greenstone3.jar.ls}" outputproperty="greenstone3.jar.size"><arg line="-e 's/^[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *\([0-9]*\).*$/\1/g'"/></exec>
 
-			<!-- get size of greenstone-with-java.jar -->
-			<exec executable="ls" dir="${basedir}/wrapped-installer/build" outputproperty="greenstone3-with-java.jar.ls"><arg line="-l greenstone3-with-java.jar"/></exec>
-			<exec executable="sed" inputstring="${greenstone3-with-java.jar.ls}" outputproperty="greenstone3-with-java.jar.size"><arg line="-e 's/^[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *\([0-9]*\).*$/\1/g'"/></exec>
+		<!-- get size of greenstone-with-java.jar -->
+		<exec executable="ls" dir="${basedir}/wrapped-installer/build" outputproperty="greenstone3-with-java.jar.ls"><arg line="-l greenstone3-with-java.jar"/></exec>
+		<exec executable="sed" inputstring="${greenstone3-with-java.jar.ls}" outputproperty="greenstone3-with-java.jar.size"><arg line="-e 's/^[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *\([0-9]*\).*$/\1/g'"/></exec>
 
-			<!-- get size of java -->
-			<exec executable="ls" dir="${basedir}/wrapped-installer/build" outputproperty="java.ls"><arg line="-l ${linux-java.installer}"/></exec>
-			<exec executable="sed" inputstring="${java.ls}" outputproperty="java.size"><arg line="-e 's/^[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *\([0-9]*\).*$/\1/g'"/></exec>
+		<!-- get size of java -->
+		<exec executable="ls" dir="${basedir}/wrapped-installer/build" outputproperty="java.ls"><arg line="-l ${linux-java.installer}"/></exec>
+		<exec executable="sed" inputstring="${java.ls}" outputproperty="java.size"><arg line="-e 's/^[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *\([0-9]*\).*$/\1/g'"/></exec>
 
 
-			<echo level="info">creating the header file for no java version</echo>
-			<delete file="wrapper.h"/>
-			<exec executable="echo" output="${basedir}/wrapped-installer/build/wrapper.h"><arg line="extern const char greenstone3jar[${greenstone3.jar.size}];"/></exec>
+		<echo level="info">creating the header file for no java version</echo>
+		<delete file="wrapper.h"/>
+		<exec executable="echo" output="${basedir}/wrapped-installer/build/wrapper.h"><arg line="extern const char greenstone3jar[${greenstone3.jar.size}];"/></exec>
 
-			<echo level="info">compile the wrapper program</echo>
-			<exec executable="g++" dir="${basedir}/wrapped-installer/build">
-				<arg line="-Wall -static -static-libgcc -c -o wrapper.o wrapper.cpp"/>
-			</exec>
+		<echo level="info">compile the wrapper program</echo>
+		<exec executable="g++" dir="${basedir}/wrapped-installer/build">
+			<arg line="-Wall -static -static-libgcc -c -o wrapper.o wrapper.cpp"/>
+		</exec>
 
-			<echo level="info">compile libsearch4j</echo>
-			<exec executable="g++" dir="${basedir}/wrapped-installer/build">
-				<arg line="-Wall -static -static-libgcc -c -o libsearch4j.o libsearch4j.cpp"/>
-			</exec>
+		<echo level="info">compile libsearch4j</echo>
+		<exec executable="g++" dir="${basedir}/wrapped-installer/build">
+			<arg line="-Wall -static -static-libgcc -c -o libsearch4j.o libsearch4j.cpp"/>
+		</exec>
 
-			<echo level="info">link, bundling the files to be bundled</echo>
-			<exec executable="g++" dir="${basedir}/wrapped-installer/build">
-				<arg line="-static -static-libgcc -o  ../greenstone-${version}-linux.bin wrapper.o libsearch4j.o greenstone3.jar.o"/>
-			</exec>
+		<echo level="info">link, bundling the files to be bundled</echo>
+		<exec executable="g++" dir="${basedir}/wrapped-installer/build">
+			<arg line="-static -static-libgcc -o  ../greenstone-${version}-linux.bin wrapper.o libsearch4j.o greenstone3.jar.o"/>
+		</exec>
 
 
-			<echo level="info">creating the header file for bundled java version</echo>
-			<delete file="wrapper.h"/>
-			<exec executable="echo" output="${basedir}/wrapped-installer/build/wrapper.h"><arg line="extern const char greenstone3jar[${greenstone3-with-java.jar.size}];"/></exec>
-			<exec executable="echo" output="${basedir}/wrapped-installer/build/wrapper.h" append="true"><arg line="extern const char java[${java.size}];"/></exec>
-			<exec executable="echo" output="${basedir}/wrapped-installer/build/wrapper.h" append="true"><arg line="#define java_is_bundled yes"/></exec>
+		<echo level="info">creating the header file for bundled java version</echo>
+		<delete file="wrapper.h"/>
+		<exec executable="echo" output="${basedir}/wrapped-installer/build/wrapper.h"><arg line="extern const char greenstone3jar[${greenstone3-with-java.jar.size}];"/></exec>
+		<exec executable="echo" output="${basedir}/wrapped-installer/build/wrapper.h" append="true"><arg line="extern const char java[${java.size}];"/></exec>
+		<exec executable="echo" output="${basedir}/wrapped-installer/build/wrapper.h" append="true"><arg line="#define java_is_bundled yes"/></exec>
 
-			<echo level="info">recompile the wrapper program</echo>
-			<exec executable="g++" dir="${basedir}/wrapped-installer/build">
-				<arg line="-Wall -static -static-libgcc -c -o wrapper.o wrapper.cpp"/>
-			</exec>
+		<echo level="info">recompile the wrapper program</echo>
+		<exec executable="g++" dir="${basedir}/wrapped-installer/build">
+			<arg line="-Wall -static -static-libgcc -c -o wrapper.o wrapper.cpp"/>
+		</exec>
 
-			<echo level="info">relink, bundling the files to be bundled</echo>
-			<exec executable="g++" dir="${basedir}/wrapped-installer/build">
-				<arg line="-static -static-libgcc -o  ../greenstone-${version}-linux-with-java.bin wrapper.o libsearch4j.o greenstone3-with-java.jar.o java.o"/>
-			</exec>
+		<echo level="info">relink, bundling the files to be bundled</echo>
+		<exec executable="g++" dir="${basedir}/wrapped-installer/build">
+			<arg line="-static -static-libgcc -o  ../greenstone-${version}-linux-with-java.bin wrapper.o libsearch4j.o greenstone3-with-java.jar.o java.o"/>
+		</exec>
 
-		</if>
 	</target>
 