Index: /release-kits/shared/ant-scripts/init.xml
===================================================================
--- /release-kits/shared/ant-scripts/init.xml	(revision 16732)
+++ /release-kits/shared/ant-scripts/init.xml	(revision 16733)
@@ -140,17 +140,4 @@
 		<echo level="info">Current Month (current.month): ${current.month}</echo>
 		<echo level="info">Current Year (current.year): ${current.year}</echo>
-		<if><bool><equals arg1="${execute}" arg2="false"/></bool>
-			<echo level="info">Simulating (execute=false)</echo>
-		</if>
-		<if><bool><isset property="resume.from" /></bool>
-			<echo level="info">Resuming from (resume.from): ${resume.from} </echo>
-		</if>
-		<if><bool><isset property="resume.to" /></bool>
-			<echo level="info">Executing up to (resume.to): ${resume.to}</echo>
-		</if>
-		<if><bool><isset property="resume.descend" /></bool>
-			<echo level="info">Descending target (resume.descend): ${resume.descend}</echo>
-		</if>
-		<echo level="info"/>
 
 	</target>
Index: /release-kits/shared/ant-scripts/operations-on-gli.xml
===================================================================
--- /release-kits/shared/ant-scripts/operations-on-gli.xml	(revision 16732)
+++ /release-kits/shared/ant-scripts/operations-on-gli.xml	(revision 16733)
@@ -2,32 +2,32 @@
 <project name="operations-on-gli">
 
-	<target name="set-version-numbers">
+	<target name="gli-set-version-numbers">
 
 			<!-- DICTIOANRY FILES (AboutDialog.Date) -->
 			<echo level="info">Changing AboutDialog.Date in all dictionaries</echo>
 
-			<rsr file="${basedir}/classes/dictionary_ar.properties" pattern="AboutDialog.Date:.*" replacement="AboutDialog.Date:(${month.ar} ${current.year})" />
-			<rsr file="${basedir}/classes/dictionary_ca.properties" pattern="AboutDialog.Date:.*" replacement="AboutDialog.Date:(${month.ca} de ${current.year})" />
-			<rsr file="${basedir}/classes/dictionary_el.properties" pattern="AboutDialog.Date:.*" replacement="AboutDialog.Date:(${month.el} ${current.year})" />
-			<rsr file="${basedir}/classes/dictionary_es.properties" pattern="AboutDialog.Date:.*" replacement="AboutDialog.Date:(${month.es} ${current.year})" />
-			<rsr file="${basedir}/classes/dictionary_fr.properties" pattern="AboutDialog.Date:.*" replacement="AboutDialog.Date:(${month.fr} ${current.year})" />
-			<rsr file="${basedir}/classes/dictionary_lv.properties" pattern="AboutDialog.Date:.*" replacement="AboutDialog.Date:(${month.lv} ${current.year})" />
-			<rsr file="${basedir}/classes/dictionary_mr.properties" pattern="AboutDialog.Date:.*" replacement="AboutDialog.Date:(${month.mr} ${current.year})" />
-			<rsr file="${basedir}/classes/dictionary_ro.properties" pattern="AboutDialog.Date:.*" replacement="AboutDialog.Date:(${month.ro} ${current.year})" />
-			<rsr file="${basedir}/classes/dictionary_ru.properties" pattern="AboutDialog.Date:.*" replacement="AboutDialog.Date:(${month.ru} ${current.year})" />
-			<rsr file="${basedir}/classes/dictionary_vi.properties" pattern="AboutDialog.Date:.*" replacement="AboutDialog.Date:(${month.vi} ${current.year})" />
-			<rsr file="${basedir}/classes/dictionary_zh.properties" pattern="AboutDialog.Date:.*" replacement="AboutDialog.Date:(${month.zh} ${current.year})" />
-			<rsr file="${basedir}/classes/dictionary.properties" pattern="AboutDialog.Date:.*" replacement="AboutDialog.Date:(${month.default} ${current.year})" />
+			<rsr file="${glibasedir}/classes/dictionary_ar.properties" pattern="AboutDialog.Date:.*" replacement="AboutDialog.Date:(${month.ar} ${current.year})" />
+			<rsr file="${glibasedir}/classes/dictionary_ca.properties" pattern="AboutDialog.Date:.*" replacement="AboutDialog.Date:(${month.ca} de ${current.year})" />
+			<rsr file="${glibasedir}/classes/dictionary_el.properties" pattern="AboutDialog.Date:.*" replacement="AboutDialog.Date:(${month.el} ${current.year})" />
+			<rsr file="${glibasedir}/classes/dictionary_es.properties" pattern="AboutDialog.Date:.*" replacement="AboutDialog.Date:(${month.es} ${current.year})" />
+			<rsr file="${glibasedir}/classes/dictionary_fr.properties" pattern="AboutDialog.Date:.*" replacement="AboutDialog.Date:(${month.fr} ${current.year})" />
+			<rsr file="${glibasedir}/classes/dictionary_lv.properties" pattern="AboutDialog.Date:.*" replacement="AboutDialog.Date:(${month.lv} ${current.year})" />
+			<rsr file="${glibasedir}/classes/dictionary_mr.properties" pattern="AboutDialog.Date:.*" replacement="AboutDialog.Date:(${month.mr} ${current.year})" />
+			<rsr file="${glibasedir}/classes/dictionary_ro.properties" pattern="AboutDialog.Date:.*" replacement="AboutDialog.Date:(${month.ro} ${current.year})" />
+			<rsr file="${glibasedir}/classes/dictionary_ru.properties" pattern="AboutDialog.Date:.*" replacement="AboutDialog.Date:(${month.ru} ${current.year})" />
+			<rsr file="${glibasedir}/classes/dictionary_vi.properties" pattern="AboutDialog.Date:.*" replacement="AboutDialog.Date:(${month.vi} ${current.year})" />
+			<rsr file="${glibasedir}/classes/dictionary_zh.properties" pattern="AboutDialog.Date:.*" replacement="AboutDialog.Date:(${month.zh} ${current.year})" />
+			<rsr file="${glibasedir}/classes/dictionary.properties" pattern="AboutDialog.Date:.*" replacement="AboutDialog.Date:(${month.default} ${current.year})" />
 
 			<!-- GLI GATHERER -->
 			<echo level="info">Changing version number in gli Gatherer</echo>
-			<rsr file="${basedir}/src/org/greenstone/gatherer/Gatherer.java" pattern="^(.*)String\s*PROGRAM_VERSION\s*=\s*&quot;(.*)&quot;" replacement="$1String PROGRAM_VERSION = &quot;${version}&quot;"/>
+			<rsr file="${glibasedir}/src/org/greenstone/gatherer/Gatherer.java" pattern="^(.*)String\s*PROGRAM_VERSION\s*=\s*&quot;(.*)&quot;" replacement="$1String PROGRAM_VERSION = &quot;${version}&quot;"/>
 
 			<!-- CONFIG XML FILES -->
 			<echo level="info">Changing configuration version in classes/xml/config.xml</echo>
-			<rsr file="${basedir}/classes/xml/config.xml" pattern="^(\s*&lt;Configuration.* version=&quot;)[^&quot;]*(&quot;.*&gt;)" replacement="$1${version}$2"/>
+			<rsr file="${glibasedir}/classes/xml/config.xml" pattern="^(\s*&lt;Configuration.* version=&quot;)[^&quot;]*(&quot;.*&gt;)" replacement="$1${version}$2"/>
 
 			<echo level="info">Changing configuration version in gli/classes/xml/configRemote.xml</echo>
-			<rsr file="${basedir}/classes/xml/configRemote.xml" pattern="^(\s*&lt;Configuration.* version=&quot;)[^&quot;]*(&quot;.*&gt;)" replacement="$1${version}$2"/>
+			<rsr file="${glibasedir}/classes/xml/configRemote.xml" pattern="^(\s*&lt;Configuration.* version=&quot;)[^&quot;]*(&quot;.*&gt;)" replacement="$1${version}$2"/>
 
 	</target>