Index: release-kits/lirk2/installer/antinstall-config.xml
===================================================================
--- release-kits/lirk2/installer/antinstall-config.xml	(revision 16739)
+++ release-kits/lirk2/installer/antinstall-config.xml	(revision 16740)
@@ -36,5 +36,5 @@
 
 		<target target="install-core-components" 	defaultValue="true" force="true" displayText="" />
-		<target target="install-java" 				defaultValue="true" displayText="" /> <!-- bundled java only -->
+		<target target="install-java" 				diskRequirement="@component.size.linux-java@" defaultValue="true" displayText="" /> <!-- bundled java only -->
 		<target target="install-source-code"		defaultValue="false" displayText="" />
 
Index: release-kits/lirk2/installer/build.xml
===================================================================
--- release-kits/lirk2/installer/build.xml	(revision 16739)
+++ release-kits/lirk2/installer/build.xml	(revision 16740)
@@ -31,53 +31,20 @@
 		<mkdir dir="${installDir}"/>
 
-
 		<!-- install files -->
-		<echo message="Installing GLI (gli)"/>
-		<unzip src="${antinstaller.jar}" dest="${installDir}"><patternset><include name="gli/**/*"/></patternset></unzip>
-		<echo/>
-
-		<echo message="Installing Executable Binaries (bin)"/>
-		<unzip src="${antinstaller.jar}" dest="${installDir}"><patternset><include name="bin/**/*"/></patternset></unzip>
-		<echo/>
-
-		<echo message="Installing CGI Binaries (cgi-bin)"/>
-		<unzip src="${antinstaller.jar}" dest="${installDir}"><patternset><include name="cgi-bin/**/*"/></patternset></unzip>
-		<echo/>
-
-		<echo message="Installing Config Folder (etc)"/>
-		<unzip src="${antinstaller.jar}" dest="${installDir}"><patternset><include name="etc/**/*"/></patternset></unzip>
-		<echo/>
-
-		<echo message="Installing mappings (mappings)"/>
-		<unzip src="${antinstaller.jar}" dest="${installDir}"><patternset><include name="mappings/**/*"/></patternset></unzip>
-		<echo/>
-
-		<echo message="Installing Packages (packages)"/>
-		<unzip src="${antinstaller.jar}" dest="${installDir}"><patternset><include name="packages/**/*"/></patternset></unzip>
-		<echo/>
-
-		<echo message="Installing Images (images)"/>
-		<unzip src="${antinstaller.jar}" dest="${installDir}"><patternset><include name="images/**/*"/></patternset></unzip>
-		<echo/>
-
-		<echo message="Installing Perl Libraries (perllib)"/>
-		<unzip src="${antinstaller.jar}" dest="${installDir}"><patternset><include name="perllib/**/*"/></patternset></unzip>
-		<echo/>
-
-		<echo message="Installing Indexers (indexers)"/>
-		<unzip src="${antinstaller.jar}" dest="${installDir}"><patternset><include name="indexers/**/*"/></patternset></unzip>
-		<echo/>
-
-		<echo message="Installing Macros (macros)"/>
-		<unzip src="${antinstaller.jar}" dest="${installDir}"><patternset><include name="macros/**/*"/></patternset></unzip>
-		<echo/>
-
-		<echo message="Installing Collect Folder (collect)"/>
-		<unzip src="${antinstaller.jar}" dest="${installDir}"><patternset><include name="collect/**/*"/></patternset></unzip>
-		<echo/>
-
-		<echo message="Installing Top Level Files"/>
+		<echo message="Installing Core Files"/>
 		<unzip src="${antinstaller.jar}" dest="${installDir}">
 			<patternset>
+
+				<include name="gli/**/*"/>
+				<include name="bin/**/*"/>
+				<include name="cgi-bin/**/*"/>
+				<include name="etc/**/*"/>
+				<include name="mappings/**/*"/>
+				<include name="images/**/*"/>
+				<include name="perllib/**/*"/>
+				<include name="indexers/**/*"/>
+				<include name="macros/**/*"/>
+				<include name="collect/**/*"/>
+
 				<include name="Install.sh"/>
 				<include name="setup.bash"/>
@@ -113,7 +80,12 @@
 	<!-- Source -->
 	<target name="install-source-code" depends="">
-		<echo message="Installing Source Code (src)"/>
-		<mkdir dir="${installDir}/src"/>
-		<unzip src="${antinstaller.jar}" dest="${installDir}"><patternset><include name="src/**/*"/></patternset></unzip>
+		<echo message="Installing Source Code"/>
+		<unzip src="${antinstaller.jar}" dest="${installDir}">
+			<patternset>
+				<include name="common-src/**/*"/>
+				<include name="runtime-src/**/*"/>
+				<include name="build-src/**/*"/>
+			</patternset>
+		</unzip>
 	</target>
 