Index: release-kits/mark2/ant-scripts/build.xml
===================================================================
--- release-kits/mark2/ant-scripts/build.xml	(revision 16654)
+++ release-kits/mark2/ant-scripts/build.xml	(revision 16741)
@@ -7,12 +7,9 @@
 		..........................................................
 -->
+
 <project name="mark2-build" default="mark2">
 
 
 	<!-- CONSTANTS -->
-
-	<!-- set current month and year-->
-	<exec executable="date" outputproperty="current.month"><arg value="+%b"/></exec>
-	<exec executable="date" outputproperty="current.year"><arg value="+%Y"/></exec>
 
 	<!-- for the benefit of the shared scripts, set release-kit home -->
@@ -21,4 +18,5 @@
 	<!-- IMPORT OTHER ANT SCRIPTS -->
 	<import file="shared-ant-scripts/init.xml"/>
+	<import file="shared-ant-scripts/operations-on-gli.xml"/>
 	<import file="compile.xml"/>
 	<import file="create-distribution.xml"/>
@@ -28,12 +26,8 @@
 	<!-- TARGET TO PERFORM ADDITIONAL PRECONDITION CHECKS -->
 	<target name="mark2-init">
-		<echo>Determining Processor...</echo>
 		<if>
 			<bool>
 				<or><equals arg1="${processor}" arg2="ppc" /><equals arg1="${processor}" arg2="intel"/></or>
 			</bool>
-
-			<echo>Processor: ${processor}</echo>
-			<echo/>
 
 			<else>
@@ -42,12 +36,13 @@
 			</else>
 		</if>
+		<echo>Processor: ${processor}</echo>
 	</target>
 
 	<!-- THE MAIN TARGET -->
 	<target name="mark2" depends="init,mark2-init">
-		<addressedcall target="compile"/>
-		<addressedcall target="create-distribution"/>
-		<addressedcall target="create-installer"/>
-		<addressedcall target="wrap"/>
+		<antcall target="compile"/>
+		<antcall target="create-distribution"/>
+		<antcall target="create-installer"/>
+		<antcall target="wrap"/>
 	</target>
 
Index: release-kits/mark2/ant-scripts/compile.xml
===================================================================
--- release-kits/mark2/ant-scripts/compile.xml	(revision 16654)
+++ release-kits/mark2/ant-scripts/compile.xml	(revision 16741)
@@ -5,80 +5,64 @@
 
 		<!-- checkout -->
-		<addressedcall target="checkout-gsdl-gli" />
+		<antcall target="checkout-gsdl-gli" />
 		
 		<!-- configure -->
-		<addressedcall target="run-configure"/>
-		<addressedcall target="tweak-makefiles"/>
+		<antcall target="run-configure"/>
+		<antcall target="tweak-makefiles"/>
 
 		<!-- make -->
-		<addressedcall target="run-make"/>
-		<addressedcall target="run-make-install"/>
-		<addressedcall target="copy-library-oai"/>
-		<addressedcall target="strip-execs"/>
+		<antcall target="run-make"/>
+		<antcall target="run-make-install"/>
+		<antcall target="copy-library-oai"/>
+		<antcall target="strip-execs"/>
 
 		<!-- build collections -->
-		<addressedcall target="build-demo-collection" />
+		<antcall target="build-demo-collection" />
 
 	</target>
 
 	<target name="checkout-gsdl-gli">
-		<if><bool><istrue value="${execute}"/></bool>
-			<svn>
-				<checkout url="${svn.root}/gsdl/${branch.path}" destPath="${basedir}/gsdl"/>
-				<checkout url="${svn.root}/gli/${branch.path}" destPath="${basedir}/gsdl/gli"/>
-			</svn>
-		</if>
+		<svn>
+			<checkout url="${svn.root}/gsdl/${branch.path}" destPath="${basedir}/gsdl"/>
+			<checkout url="${svn.root}/gli/${branch.path}" destPath="${basedir}/gsdl/gli"/>
+		</svn>
 	</target>
 
 	<target name="run-configure">
-		<if><bool><istrue value="${execute}"/></bool>
-			<exec dir="${basedir}/gsdl" executable="${basedir}/gsdl/configure">
-				<arg line="--with-gdbm=${mark2.home}/mac/${processor}/gdbm"/>
-			</exec>
-		</if>
+		<exec dir="${basedir}/gsdl" executable="${basedir}/gsdl/configure">
+			<arg line="--with-gdbm=${mark2.home}/mac/${processor}/gdbm"/>
+		</exec>
 	</target>
 
 	<target name="tweak-makefiles">
-		<if><bool><istrue value="${execute}"/></bool>
-	<rsr file="${basedir}/gsdl/src/recpt/Makefile" pattern="^(LIBS =.*)-L${mark2.home}/mac/${processor}/gdbm/lib -lgdbm(.*)$" replacement="$1${mark2.home}/mac/${processor}/gdbm/lib/libgdbm.a$2" />
-	<rsr file="${basedir}/gsdl/src/oaiservr/Makefile" pattern="^(LIBS =.*)-L${mark2.home}/mac/${processor}/gdbm/lib -lgdbm(.*)$" replacement="$1${mark2.home}/mac/${processor}/gdbm/lib/libgdbm.a$2" />
-	<rsr file="${basedir}/gsdl/src/gdbmedit/db2txt/Makefile" pattern="^(LIBS =.*)-L${mark2.home}/mac/${processor}/gdbm/lib -lgdbm(.*)$" replacement="$1${mark2.home}/mac/${processor}/gdbm/lib/libgdbm.a$2" />
-	<rsr file="${basedir}/gsdl/src/gdbmedit/txt2db/Makefile" pattern="^(LIBS =.*)-L${mark2.home}/mac/${processor}/gdbm/lib -lgdbm(.*)$" replacement="$1${mark2.home}/mac/${processor}/gdbm/lib/libgdbm.a$2" />
-	<rsr file="${basedir}/gsdl/src/recpt/Makefile" pattern="^(LIBS =.*)-L(.)\(PACKAGES_DIR\)/expat/lib -lexpat(.*)$" replacement="$1$2(PACKAGES_DIR)/expat/lib/libexpat.a$3" />
-	<rsr file="${basedir}/gsdl/src/oaiservr/Makefile" pattern="^(LIBS =.*)-L(.)\(PACKAGES_DIR\)/expat/lib -lexpat(.*)$" replacement="$1$2(PACKAGES_DIR)/expat/lib/libexpat.a$3" />
-		</if>
+		<rsr file="${basedir}/gsdl/src/recpt/Makefile" pattern="^(LIBS =.*)-L${mark2.home}/mac/${processor}/gdbm/lib -lgdbm(.*)$" replacement="$1${mark2.home}/mac/${processor}/gdbm/lib/libgdbm.a$2" />
+		<rsr file="${basedir}/gsdl/src/oaiservr/Makefile" pattern="^(LIBS =.*)-L${mark2.home}/mac/${processor}/gdbm/lib -lgdbm(.*)$" replacement="$1${mark2.home}/mac/${processor}/gdbm/lib/libgdbm.a$2" />
+		<rsr file="${basedir}/gsdl/src/gdbmedit/db2txt/Makefile" pattern="^(LIBS =.*)-L${mark2.home}/mac/${processor}/gdbm/lib -lgdbm(.*)$" replacement="$1${mark2.home}/mac/${processor}/gdbm/lib/libgdbm.a$2" />
+		<rsr file="${basedir}/gsdl/src/gdbmedit/txt2db/Makefile" pattern="^(LIBS =.*)-L${mark2.home}/mac/${processor}/gdbm/lib -lgdbm(.*)$" replacement="$1${mark2.home}/mac/${processor}/gdbm/lib/libgdbm.a$2" />
+		<rsr file="${basedir}/gsdl/src/recpt/Makefile" pattern="^(LIBS =.*)-L(.)\(PACKAGES_DIR\)/expat/lib -lexpat(.*)$" replacement="$1$2(PACKAGES_DIR)/expat/lib/libexpat.a$3" />
+		<rsr file="${basedir}/gsdl/src/oaiservr/Makefile" pattern="^(LIBS =.*)-L(.)\(PACKAGES_DIR\)/expat/lib -lexpat(.*)$" replacement="$1$2(PACKAGES_DIR)/expat/lib/libexpat.a$3" />
 	</target>
 
 	<target name="run-make">
-		<if><bool><istrue value="${execute}"/></bool>
-			<exec dir="${basedir}/gsdl" executable="make"/>
-		</if>
+		<exec dir="${basedir}/gsdl" executable="make"/>
 	</target>
 
 	<target name="run-make-install">
-		<if><bool><istrue value="${execute}"/></bool>
-			<exec dir="${basedir}/gsdl" executable="make"><arg value="install"/></exec>
-		</if>
+		<exec dir="${basedir}/gsdl" executable="make"><arg value="install"/></exec>
 	</target>
 
 	<target name="copy-library-oai">
-		<if><bool><istrue value="${execute}"/></bool>
-			<exec executable="cp"><arg line="${basedir}/gsdl/cgi-bin/library ${basedir}/gsdl/bin/darwin/library"/></exec>
-			<exec executable="cp"><arg line="${basedir}/gsdl/cgi-bin/oaiserver ${basedir}/gsdl/bin/darwin/oaiserver"/></exec>
-		</if>
+		<exec executable="cp"><arg line="${basedir}/gsdl/cgi-bin/library ${basedir}/gsdl/bin/darwin/library"/></exec>
+		<exec executable="cp"><arg line="${basedir}/gsdl/cgi-bin/oaiserver ${basedir}/gsdl/bin/darwin/oaiserver"/></exec>
 	</target>
 
 	<target name="strip-execs">
-		<if><bool><istrue value="${execute}"/></bool>
-			<exec dir="${basedir}/gsdl/bin/darwin" executable="find">
-				<arg line=". ! -name . -type f -maxdepth 1 -exec strip {} &#59;"/>
-			</exec>
-		</if>
+		<exec dir="${basedir}/gsdl/bin/darwin" executable="find">
+			<arg line=". ! -name . -type f -maxdepth 1 -exec strip {} &#59;"/>
+		</exec>
 	</target>
 
 	<target name="build-demo-collection">
-		<if><bool><istrue value="${execute}"/></bool>
-			<exec dir="${basedir}/gsdl" executable="${mark2.home}/resources/build-demo.sh"/>
-		</if>
+		<exec dir="${basedir}/gsdl" executable="${mark2.home}/resources/build-demo.sh"/>
 	</target>
 
Index: release-kits/mark2/ant-scripts/create-distribution.xml
===================================================================
--- release-kits/mark2/ant-scripts/create-distribution.xml	(revision 16654)
+++ release-kits/mark2/ant-scripts/create-distribution.xml	(revision 16741)
@@ -2,164 +2,112 @@
 <project name="mark2-create-distribution" default="create-distribution">
 
+	<target name="create-distribution">
+		<antcall target="export-gsdl-gli" />
+		<antcall target="dist-set-version" />
+		<antcall target="gli-set-version-numbers">
+			<param name="glibasedir" value="${basedir}/distribution/greenstone3/gli"/>
+		</antcall>
+		<antcall target="drop-in-binaries" />
+		<antcall target="drop-in-demo-collection" />
+		<antcall target="drop-in-docs" />
+		<antcall target="compile-gli" />
+		<antcall target="tweak-files" />
+	</target>
 
-	<target name="create-distribution">
-		<addressedcall target="export-gsdl-gli" />
-		<addressedcall target="dist-set-version" />
-		<addressedcall target="dist-set-gli-version" />
-		<addressedcall target="drop-in-binaries" />
-		<addressedcall target="drop-in-demo-collection" />
-		<addressedcall target="drop-in-docs" />
-		<addressedcall target="compile-gli" />
-		<addressedcall target="create-gli-client-zip" />
-		<addressedcall target="tweak-files" />
+	<target name="export-gsdl-gli">
+		<mkdir dir="distributions"/>
+		<delete dir="distributions/web"/>
+		<svn>
+			<export srcurl="${svn.root}/gsdl/${branch.path}" destPath="distributions/web"/>
+			<export srcurl="${svn.root}/gli/${branch.path}" destPath="distributions/web/gli"/>
+		</svn>
+	</target>
+
+	<target name="dist-set-version">
+		<echo level="info">Setting version in src/lib/gsdlconf.h</echo>
+		<rsr file="${basedir}/distributions/web/src/lib/gsdlconf.h" pattern="(#define GSDL_VERSION) &quot;.*&quot;" replacement="$1 &quot;${version}&quot;" />
+
+		<echo level="info">Setting version in Install.sh</echo>
+		<rsr file="${basedir}/distributions/web/Install.sh" pattern="(echo &quot;Version: ).*(&quot; .*)" replacement="$1${version}$2" />
+
+		<echo level="info">Setting version in etc/VERSION</echo>
+		<rsr file="${basedir}/distributions/web/etc/VERSION" pattern="(gsdl version: ).*" replacement="$1${version}" />
+	</target>
+
+	<target name="dist-set-gli-version">
 
 	</target>
 
-	<target name="export-gsdl-gli">
-		<if><bool><istrue value="${execute}"/></bool>
-			
-			<mkdir dir="distributions"/>
-			<delete dir="distributions/web"/>
-			<svn>
-				<export srcurl="${svn.root}/gsdl/${branch.path}" destPath="distributions/web"/>
-				<export srcurl="${svn.root}/gli/${branch.path}" destPath="distributions/web/gli"/>
-			</svn>
-			
-		</if>
-	</target>
-
-	<target name="dist-set-version">
-		<if><bool><istrue value="${execute}"/></bool>
-
-			<echo level="info">Setting version in src/lib/gsdlconf.h</echo>
-			<rsr file="${basedir}/distributions/web/src/lib/gsdlconf.h" pattern="(#define GSDL_VERSION) &quot;.*&quot;" replacement="$1 &quot;${version}&quot;" />
-
-			<echo level="info">Setting version in Install.sh</echo>
-			<rsr file="${basedir}/distributions/web/Install.sh" pattern="(echo &quot;Version: ).*(&quot; .*)" replacement="$1${version}$2" />
-
-			<echo level="info">Setting version in etc/VERSION</echo>
-			<rsr file="${basedir}/distributions/web/etc/VERSION" pattern="(gsdl version: ).*" replacement="$1${version}" />
-
-		</if>
-	</target>
-
-	<target name="dist-set-gli-version">
-		<if><bool><istrue value="${execute}"/></bool>
-			<ant antfile="${mark2.home}/ant-scripts/shared-ant-scripts/operations-on-gli.xml" dir="${basedir}/distributions/web/gli" target="set-version-numbers"/>
-		</if>
-	</target>
-
 	<target name="drop-in-binaries">
-		<if><bool><istrue value="${execute}"/></bool>
-			<echo level="info">Dropping compiled binaries into distribution</echo>
-			<delete dir="distributions/web/bin/linux" />
-			<delete dir="distributions/web/bin/darwin" />
-			<exec dir="${basedir}" executable="cp"><arg line="-r gsdl/bin/darwin distributions/web/bin"/></exec>
-			<exec dir="${basedir}" executable="cp"><arg line="gsdl/cgi-bin/library distributions/web/cgi-bin"/></exec>
-			<exec dir="${basedir}" executable="cp"><arg line="gsdl/cgi-bin/oaiserver distributions/web/cgi-bin"/></exec>
-		</if>
+		<echo level="info">Dropping compiled binaries into distribution</echo>
+		<delete dir="distributions/web/bin/linux" />
+		<delete dir="distributions/web/bin/darwin" />
+		<exec dir="${basedir}" executable="cp"><arg line="-r gsdl/bin/darwin distributions/web/bin"/></exec>
+		<exec dir="${basedir}" executable="cp"><arg line="gsdl/cgi-bin/library distributions/web/cgi-bin"/></exec>
+		<exec dir="${basedir}" executable="cp"><arg line="gsdl/cgi-bin/oaiserver distributions/web/cgi-bin"/></exec>
 	</target>
 
 	<target name="drop-in-demo-collection">
-		<if><bool><istrue value="${execute}"/></bool>
-			<echo level="info">Dropping rebuilt demo collection into distribution</echo>
-			<delete dir="distributions/web/collect/demo" />
-			<exec dir="${basedir}" executable="cp"><arg line="-r gsdl/collect/demo distributions/web/collect"/></exec>
-		</if>
+		<echo level="info">Dropping rebuilt demo collection into distribution</echo>
+		<delete dir="distributions/web/collect/demo" />
+		<exec dir="${basedir}" executable="cp"><arg line="-r gsdl/collect/demo distributions/web/collect"/></exec>
 	</target>
 
 	<target name="drop-in-docs">
-		<if><bool><istrue value="${execute}"/></bool>
-			<echo level="info">Dropping gsdl docs  into distribution</echo>
-			<copy todir="${basedir}/distributions/web" overwrite="true">
-				<fileset dir="${mark2.home}/greenstone2/docs"/>
-			</copy>
-		</if>
+		<echo level="info">Dropping gsdl docs  into distribution</echo>
+		<copy todir="${basedir}/distributions/web" overwrite="true">
+			<fileset dir="${mark2.home}/greenstone2/docs"/>
+		</copy>
 	</target>
 
 	<target name="compile-gli">
-		<if><bool><istrue value="${execute}"/></bool>
+		<echo>Compiling gli...</echo>
+		<exec dir="${basedir}/distributions/web/gli" executable="${basedir}/distributions/web/gli/makegli.sh"/>
 
-			<echo>Compiling gli...</echo>
-			<exec dir="${basedir}/distributions/web/gli" executable="${basedir}/distributions/web/gli/makegli.sh"/>
+		<echo>Creating jar...</echo>
+		<exec dir="${basedir}/distributions/web/gli" executable="${basedir}/distributions/web/gli/makejar.sh"/>
 
-			<echo>Creating jar...</echo>
-			<exec dir="${basedir}/distributions/web/gli" executable="${basedir}/distributions/web/gli/makejar.sh"/>
+		<echo>Cleaning up intermediate files...</echo>
+		<delete dir="${basedir}/distributions/web/gli/jar"/>
+		<delete dir="${basedir}/distributions/web/gli/classes/org"/>
 
-			<echo>Cleaning up intermediate files...</echo>
-			<delete dir="${basedir}/distributions/web/gli/jar"/>
-			<delete dir="${basedir}/distributions/web/gli/classes/org"/>
-
-			<echo>Putting gli server jar in a better place</echo>
-			<exec dir="${basedir}/distributions/web" executable="mv" failonerror="true">
-				<arg line="gli/GLIServer.jar bin/java" />
-			</exec>
-
-		</if>
+		<echo>Putting gli server jar in a better place</echo>
+		<exec dir="${basedir}/distributions/web" executable="mv" failonerror="true">
+			<arg line="gli/GLIServer.jar bin/java" />
+		</exec>
 	</target>
 
-	<target name="create-gli-client-zip">
-		<if><bool><istrue value="${execute}"/></bool>
-			<!--
-			# take a copy of GLI directory
-			&util::cp_r(&util::filename_cat($tmpdir, "gsdl", "gli"), $tmpdir);
+	<target name="tweak-files">
+		<echo level="info">Changing Install.sh to web release</echo>
+		<rsr file="${basedir}/distributions/web/Install.sh" pattern="^(iscdrom=).*" replacement="$1&quot;no&quot;" />
 
-			my $client_dirname = "gli-client-" . $version_num;
-			rename ("gli", $client_dirname);
-			chdir(&util::filename_cat($tmpdir, $client_dirname));
+		<echo level="info">Changing date and version in the docs</echo>
+		<!-- ar -->
+		<rsr file="${basedir}/distributions/web/READMEar.txt" pattern="(Ø§ÙØªØ§Ø±ÙØ® : \s*)(.*)" replacement="$1${month.ar} ${current.year}" />
+		<rsr file="${basedir}/distributions/web/READMEar.txt" pattern="(Ø§ÙÙØ³Ø®Ù : \s*)(.*)" replacement="$1${version}" />
+		<!-- es -->
+		<rsr file="${basedir}/distributions/web/READMEes.txt" pattern="^(Fecha\s*)(.*)" replacement="$1${month.es} de ${current.year}" />
+		<rsr file="${basedir}/distributions/web/READMEes.txt" pattern="^(Versi.?n\s*)(.*)" replacement="$1${version}" />
+		<!-- fr -->
+		<rsr file="${basedir}/distributions/web/READMEfr.txt" pattern="^(Date\s*)(.*)" replacement="$1${month.fr} ${current.year}" />
+		<rsr file="${basedir}/distributions/web/READMEfr.txt" pattern="^(Version\s*)(.*)" replacement="$1${version}" />
+		<!-- ru -->
+		<rsr file="${basedir}/distributions/web/READMEru.txt" pattern="^(ÐÐ°ÑÐ°\s*)(.*)" replacement="$1${month.ru} ${current.year}" />
+		<rsr file="${basedir}/distributions/web/READMEru.txt" pattern="^(ÐÐµÑÑÐžÑ\s*)(.*)" replacement="$1${version}" />
+		<!-- en -->
+		<rsr file="${basedir}/distributions/web/READMEen.txt" pattern="^(Date\s*)(.*)" replacement="$1${month.default} ${current.year}" />
+		<rsr file="${basedir}/distributions/web/READMEen.txt" pattern="^(Version\s*)(.*)" replacement="$1${version}" />
 
+		<!-- Support.htm -->
+		<rsr file="${basedir}/distributions/web/Support.htm" pattern="^(\s*Greenstone Digital Library version: ).*(&lt;br&gt;.*)" replacement="$1${version}$2"/>
+		<rsr file="${basedir}/distributions/web/Support.htm" pattern="^(\s*&lt;input.* name=&quot;gsdl version&quot;.* value=&quot;).*(&quot;.*&gt;)" replacement="$1${version}$2"/>
 
-			# delete unnecessary stuff
-			`rm -rf clean.* document.* gems.* gli*.sh gli*.bat make*.sh make*.bat lib src`;
-			# make sure permissions are ok
-			`chmod a+x client-gli.sh client-gli.bat`;
-			chdir($tmpdir);
+		<echo level="info">Removing signed gatherer</echo>
+		<delete file="${basedir}/distributions/web/bin/java/SignedGatherer.jar" />
 
-			# zip up the client
-			&zip($client_dirname, $client_dirname, $tmpdir, 1);
-			-->
-		</if>
-	</target>
-
-
-	<target name="tweak-files">
-		<if><bool><istrue value="${execute}"/></bool>
-
-			<echo level="info">Changing Install.sh to web release</echo>
-			<rsr file="${basedir}/distributions/web/Install.sh" pattern="^(iscdrom=).*" replacement="$1&quot;no&quot;" />
-
-
-			<echo level="info">Changing date and version in the docs</echo>
-			<!-- ar -->
-			<rsr file="${basedir}/distributions/web/READMEar.txt" pattern="(Ø§ÙØªØ§Ø±ÙØ® : \s*)(.*)" replacement="$1${month.ar} ${current.year}" />
-			<rsr file="${basedir}/distributions/web/READMEar.txt" pattern="(Ø§ÙÙØ³Ø®Ù : \s*)(.*)" replacement="$1${version}" />
-
-			<!-- es -->
-			<rsr file="${basedir}/distributions/web/READMEes.txt" pattern="^(Fecha\s*)(.*)" replacement="$1${month.es} de ${current.year}" />
-			<rsr file="${basedir}/distributions/web/READMEes.txt" pattern="^(Versi.?n\s*)(.*)" replacement="$1${version}" />
-			<!-- fr -->
-			<rsr file="${basedir}/distributions/web/READMEfr.txt" pattern="^(Date\s*)(.*)" replacement="$1${month.fr} ${current.year}" />
-			<rsr file="${basedir}/distributions/web/READMEfr.txt" pattern="^(Version\s*)(.*)" replacement="$1${version}" />
-			<!-- ru -->
-			<rsr file="${basedir}/distributions/web/READMEru.txt" pattern="^(ÐÐ°ÑÐ°\s*)(.*)" replacement="$1${month.ru} ${current.year}" />
-			<rsr file="${basedir}/distributions/web/READMEru.txt" pattern="^(ÐÐµÑÑÐžÑ\s*)(.*)" replacement="$1${version}" />
-			<!-- en -->
-			<rsr file="${basedir}/distributions/web/READMEen.txt" pattern="^(Date\s*)(.*)" replacement="$1${month.default} ${current.year}" />
-			<rsr file="${basedir}/distributions/web/READMEen.txt" pattern="^(Version\s*)(.*)" replacement="$1${version}" />
-
-			<!-- Support.htm -->
-			<rsr file="${basedir}/distributions/web/Support.htm" pattern="^(\s*Greenstone Digital Library version: ).*(&lt;br&gt;.*)" replacement="$1${version}$2"/>
-			<rsr file="${basedir}/distributions/web/Support.htm" pattern="^(\s*&lt;input.* name=&quot;gsdl version&quot;.* value=&quot;).*(&quot;.*&gt;)" replacement="$1${version}$2"/>
-
-			<echo level="info">Removing signed gatherer</echo>
-			<delete file="${basedir}/distributions/web/bin/java/SignedGatherer.jar" />
-
-			<echo level="info">Removing some unneeded stuff</echo>
-			<delete file="${basedir}/distributions/web/gli/.greenstonestore" />
-			<delete file="${basedir}/distributions/web/gli/gli4gs3.sh" />
-			<delete><fileset dir="${basedir}/distributions/web/gli" includes="*.bat"/></delete>
-			<delete><fileset dir="${basedir}/distributions/web" includes="*.bat"/></delete>
-
-		</if>
+		<echo level="info">Removing some unneeded stuff</echo>
+		<delete file="${basedir}/distributions/web/gli/.greenstonestore" />
+		<delete><fileset dir="${basedir}/distributions/web/gli" includes="*.bat"/></delete>
+		<delete><fileset dir="${basedir}/distributions/web" includes="*.bat"/></delete>
 	</target>
 
Index: release-kits/mark2/ant-scripts/create-installer.xml
===================================================================
--- release-kits/mark2/ant-scripts/create-installer.xml	(revision 16654)
+++ release-kits/mark2/ant-scripts/create-installer.xml	(revision 16741)
@@ -3,56 +3,48 @@
 
 	<target name="create-installer">
-		<addressedcall target="setup-for-installer-creation"/>
-		<addressedcall target="compile-installer"/>
+		<antcall target="setup-for-installer-creation"/>
+		<antcall target="compile-installer"/>
 	</target>
 
 	<target name="setup-for-installer-creation">
-		<if><bool><istrue value="${execute}"/></bool>
+		<echo>Getting things ready to compile the installer</echo>
+		<mkdir dir="${basedir}/installer/classes"/>
+		<copy todir="${basedir}/installer" file="${mark2.home}/installer/antinstall-config.xml" overwrite="true"/>
+		<copy todir="${basedir}/installer" file="${mark2.home}/installer/build.xml" overwrite="true"/>
+		<copy todir="${basedir}/installer/classes" overwrite="true">
+			<fileset dir="${mark2.home}/greenstone2/installer-classes"/>
+		<fileset dir="${mark2.home}/ant-scripts/tasks/orans" includes="RegexSearchReplace.class" />
+		</copy>
 
-			<echo>Getting things ready to compile the installer</echo>
-			<mkdir dir="${basedir}/installer/classes"/>
-			<copy todir="${basedir}/installer" file="${mark2.home}/installer/antinstall-config.xml" overwrite="true"/>
-			<copy todir="${basedir}/installer" file="${mark2.home}/installer/build.xml" overwrite="true"/>
-			<copy todir="${basedir}/installer/classes" overwrite="true">
-				<fileset dir="${mark2.home}/greenstone2/installer-classes"/>
-			<fileset dir="${mark2.home}/ant-scripts/tasks/orans" includes="RegexSearchReplace.class" />
-			</copy>
+		<!-- put the concrete values of things in the config -->
+		<rsr file="${basedir}/installer/antinstall-config.xml" pattern="@version@" replacement="${version}"/>
+		<rsr file="${basedir}/installer/antinstall-config.xml" pattern="@component.size.java@" replacement="${component.size.linux-java}"/>
+		<rsr file="${basedir}/installer/build.xml" pattern="@java.min.version@" replacement="${java.min.version}"/>
+		<rsr file="${basedir}/installer/build.xml" pattern="@java.extracted@" replacement="${linux-java.extracted}"/>
 
-			<!-- put the concrete values of things in the config -->
-			<rsr file="${basedir}/installer/antinstall-config.xml" pattern="@version@" replacement="${version}"/>
-			<rsr file="${basedir}/installer/antinstall-config.xml" pattern="@component.size.java@" replacement="${component.size.linux-java}"/>
-			<rsr file="${basedir}/installer/build.xml" pattern="@java.min.version@" replacement="${java.min.version}"/>
-			<rsr file="${basedir}/installer/build.xml" pattern="@java.extracted@" replacement="${linux-java.extracted}"/>
-
-			<!-- put the concrete values of things in the text -->
-			<!-- default -->
-			<rsr file="${basedir}/installer/classes/resources/LanguagePack.properties" pattern="@version@" replacement="${version}"/>
-			<rsr file="${basedir}/installer/classes/resources/LanguagePack.properties" pattern="@java.min.version@" replacement="${java.min.version}"/>
-			<rsr file="${basedir}/installer/classes/resources/LanguagePack.properties" pattern="@bundled.version.java@" replacement="${bundled.version.linux-java}"/>
-
-		</if>
+		<!-- put the concrete values of things in the text -->
+		<!-- default -->
+		<rsr file="${basedir}/installer/classes/resources/LanguagePack.properties" pattern="@version@" replacement="${version}"/>
+		<rsr file="${basedir}/installer/classes/resources/LanguagePack.properties" pattern="@java.min.version@" replacement="${java.min.version}"/>
+		<rsr file="${basedir}/installer/classes/resources/LanguagePack.properties" pattern="@bundled.version.java@" replacement="${bundled.version.linux-java}"/>
 	</target>
 
 	<target name="compile-installer">
-		<if><bool><istrue value="${execute}"/></bool>
+		<!-- create the installer without java -->
+		<installer file="${basedir}/installer/Greenstone-${version}-MacOS-${processor}.jar"
+				compress="true"
+				extractType="NonExtractor"
+				installConfig="${basedir}/installer/antinstall-config.xml"
+				buildFile="${basedir}/installer/build.xml"
+				antInstallLib="${mark2.home}/packages/ant-installer/lib"
+				antLib="${mark2.home}/packages/ant/lib"
+				validateConfig="true"
+				failOnError="false"
+				icons="bluecurve">
 
-			<!-- create the installer without java -->
-			<installer file="${basedir}/installer/Greenstone-${version}-MacOS-${processor}.jar"
-					compress="true"
-					extractType="NonExtractor"
-					installConfig="${basedir}/installer/antinstall-config.xml"
-					buildFile="${basedir}/installer/build.xml"
-					antInstallLib="${mark2.home}/packages/ant-installer/lib"
-					antLib="${mark2.home}/packages/ant/lib"
-					validateConfig="true"
-					failOnError="false"
-					icons="bluecurve">
+			<zipfileset dir="${basedir}/installer/classes" includes="**/*" />
+			<zipfileset dir="${basedir}/distributions/web" includes="**/*"/>
 
-				<zipfileset dir="${basedir}/installer/classes" includes="**/*" />
-				<zipfileset dir="${basedir}/distributions/web" includes="**/*"/>
-
-			</installer>
-
-		</if>
+		</installer>
 	</target>
 
Index: release-kits/mark2/ant-scripts/wrap.xml
===================================================================
--- release-kits/mark2/ant-scripts/wrap.xml	(revision 16654)
+++ release-kits/mark2/ant-scripts/wrap.xml	(revision 16741)
@@ -3,36 +3,34 @@
 
 	<target name="wrap">
-		<if><bool><istrue value="${execute}"/></bool>
+		<!-- create and setup the build directory -->
+		<delete dir="${basedir}/wrapped-installer"/>
+		<mkdir dir="${basedir}/wrapped-installer"/>
+		<copy todir="${basedir}/wrapped-installer/Greenstone${version}.app"><fileset dir="${mark2.home}/mac/Wrapper.app"/></copy>
+		<copy todir="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/Resources"><fileset dir="${mark2.home}/greenstone2/icon/icon.icns"/></copy>
+		<chmod file="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/MacOS/JavaApplicationStub" perm="ug+x"/>
 
-			<!-- create and setup the build directory -->
-			<delete dir="${basedir}/wrapped-installer"/>
-			<mkdir dir="${basedir}/wrapped-installer"/>
-			<copy todir="${basedir}/wrapped-installer/Greenstone${version}.app"><fileset dir="${mark2.home}/mac/Wrapper.app"/></copy>
-			<chmod file="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/MacOS/JavaApplicationStub" perm="ug+x"/>
+		<!-- copy bundled files -->
+		<copy todir="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/Resources/Java" file="${basedir}/installer/Greenstone-${version}-MacOS-${processor}.jar"/>
 
-			<!-- copy bundled files -->
-			<copy todir="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/Resources/Java" file="${basedir}/installer/Greenstone-${version}-MacOS-${processor}.jar"/>
+		<!-- substitute in real values -->
+		<rsr file="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/Info.plist" pattern="@jar@" replacement="Greenstone-${version}-MacOS-${processor}.jar"/>
+		<rsr file="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/Info.plist" pattern="@version@" replacement="${version}"/>
 
-			<!-- substitute in real values -->
-			<rsr file="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/Info.plist" pattern="@jar@" replacement="Greenstone-${version}-MacOS-${processor}.jar"/>
-			<rsr file="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/Info.plist" pattern="@version@" replacement="${version}"/>
+                     <!-- get size of app -->
+                     <exec executable="du" dir="${basedir}/wrapped-installer" outputproperty="app.du"><arg line="-ks Greenstone${version}.app"/></exec>
+		<echo>app.du: ${app.du}</echo>
+                     <exec executable="sed" inputstring="${app.du}" outputproperty="app.size"><arg line="-e 's/^\([0-9]*\).*$/\1/g'"/></exec>
+		<echo>app.size: ${app.size}</echo>
+		<math result="dmg.size" operand1="${app.size}" operation="+" operand2="2048" datatype="int"/>
+		<echo>dmg.size: ${dmg.size}</echo>
 
-                        <!-- get size of app -->
-                        <exec executable="du" dir="${basedir}/wrapped-installer" outputproperty="app.du"><arg line="-ks Greenstone${version}.app"/></exec>
-			<echo>app.du: ${app.du}</echo>
-                        <exec executable="sed" inputstring="${app.du}" outputproperty="app.size"><arg line="-e 's/^\([0-9]*\).*$/\1/g'"/></exec>
-			<echo>app.size: ${app.size}</echo>
-			<math result="dmg.size" operand1="${app.size}" operation="+" operand2="2048" datatype="int"/>
-			<echo>dmg.size: ${dmg.size}</echo>
-
-			<!-- create disk image -->
-			<exec dir="${basedir}/wrapped-installer" executable="hdiutil"><arg line="create -size ${dmg.size}k -fs HFS+ -volname Greenstone${version} Greenstone${version}.dmg"/></exec>
-			<!-- mount it -->
-			<exec executable="hdiutil" dir="${basedir}/wrapped-installer"><arg line="attach Greenstone${version}.dmg"/></exec>
-			<!-- copy file into it -->
-			<exec executable="cp" dir="${basedir}/wrapped-installer"><arg line="-r Greenstone${version}.app /Volumes/Greenstone${version}"/></exec>
-			<!-- unmount it-->
-			<exec executable="hdiutil" dir="${basedir}/wrapped-installer"><arg line="detach /Volumes/Greenstone${version}"/></exec>
-		</if>
+		<!-- create disk image -->
+		<exec dir="${basedir}/wrapped-installer" executable="hdiutil"><arg line="create -size ${dmg.size}k -fs HFS+ -volname Greenstone${version} Greenstone${version}.dmg"/></exec>
+		<!-- mount it -->
+		<exec executable="hdiutil" dir="${basedir}/wrapped-installer"><arg line="attach Greenstone${version}.dmg"/></exec>
+		<!-- copy file into it -->
+		<exec executable="cp" dir="${basedir}/wrapped-installer"><arg line="-r Greenstone${version}.app /Volumes/Greenstone${version}"/></exec>
+		<!-- unmount it-->
+		<exec executable="hdiutil" dir="${basedir}/wrapped-installer"><arg line="detach /Volumes/Greenstone${version}"/></exec>
 	</target>
 