Index: /release-kits/mark3/ant-scripts/build.xml
===================================================================
--- /release-kits/mark3/ant-scripts/build.xml	(revision 16743)
+++ /release-kits/mark3/ant-scripts/build.xml	(revision 16744)
@@ -1,4 +1,3 @@
 <?xml version="1.0" encoding="utf-8" ?>
-
 <!--
 		.......................................................... 
@@ -17,14 +16,11 @@
 	<property name="bundled.version.ant" value="1.6.5"/>
 
-	<!-- set current month and year-->
-	<exec executable="date" outputproperty="current.month"><arg value="+%b"/></exec>
-	<exec executable="date" outputproperty="current.year"><arg value="+%Y"/></exec>
-
 	<!-- for the benefit of the shared scripts, set release-kit home -->
 	<property name="rk.home" value="${mark3.home}" />
-
+	<property name="rk.os" value="linux" />
 
 	<!-- IMPORT OTHER ANT SCRIPTS -->
 	<import file="shared-ant-scripts/init.xml"/>
+	<import file="../greenstone3/ant-scripts/rk3-targets.xml"/>
 	<import file="compile.xml"/>
 	<import file="create-distribution.xml"/>
@@ -34,12 +30,8 @@
 	<!-- TARGET TO PERFORM ADDITIONAL PRECONDITION CHECKS -->
 	<target name="mark3-init">
-		<echo>Determining Processor...</echo>
 		<if>
 			<bool>
 				<or><equals arg1="${processor}" arg2="ppc" /><equals arg1="${processor}" arg2="intel"/></or>
 			</bool>
-
-			<echo>Processor: ${processor}</echo>
-			<echo/>
 
 			<else>
@@ -48,12 +40,13 @@
 			</else>
 		</if>
+		<echo>Processor: ${processor}</echo>
 	</target>
 
 	<!-- THE MAIN TARGET -->
 	<target name="mark3" depends="init,mark3-init">
-		<addressedcall target="compile"/>
-		<addressedcall target="create-distribution"/>
-		<addressedcall target="create-installer"/>
-		<addressedcall target="wrap"/>
+		<antcall target="compile"/>
+		<antcall target="create-distribution"/>
+		<antcall target="create-installer"/>
+		<antcall target="wrap"/>
 	</target>
 
Index: /release-kits/mark3/ant-scripts/compile.xml
===================================================================
--- /release-kits/mark3/ant-scripts/compile.xml	(revision 16743)
+++ /release-kits/mark3/ant-scripts/compile.xml	(revision 16744)
@@ -1,196 +1,100 @@
 <?xml version="1.0" encoding="utf-8" ?>
 <project name="mark3-compile" default="compile">
-
 
 	<target name="compile">
 
 		<!-- checkout -->
-		<addressedcall target="checkout-greenstone3" />
+		<antcall target="checkout-greenstone3" />
 
 		<!-- preparation -->
-		<addressedcall target="set-version-number-property" />
-		<addressedcall target="set-gdbm-installed-path" />
-		<addressedcall target="dist-prepare-unix" />
-
+		<antcall target="set-version-number-property" />
+		<antcall target="set-gdbm-installed-path" />
+		<ant target="prepare-unix" dir="greenstone3" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" inheritAll="false"/>
+		
 		<!-- update -->
-		<addressedcall target="dist-update-unix" />
+		<ant target="update-unix" dir="greenstone3" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" inheritAll="false"/>
 
 		<!-- configure -->
-		<addressedcall target="dist-configure-unix" />
-		<addressedcall target="tweak-makefiles" />
+		<ant target="configure-unix" dir="greenstone3" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" inheritAll="false"/>
+		<antcall target="tweak-makefiles" />
 
 		<!-- build -->
-		<addressedcall target="dist-build-unix" />
-		<addressedcall target="linux-strip-execs" />
+		<ant target="build-unix" dir="greenstone3" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" inheritAll="false"/>
+		<antcall target="linux-strip-execs" />
 
 		<!-- documentation -->
-		<addressedcall target="prepare-documentation" />
+		<antcall target="prepare-documentation" />
 
 	</target>
 
 	<target name="checkout-greenstone3">
-		<if><bool><istrue value="${execute}"/></bool>
-			<svn>
-				<checkout url="${svn.root}/greenstone3/${branch.path}" destPath="greenstone3"/>
-			</svn>
-		</if>
+		<svn>
+			<checkout url="${svn.root}/greenstone3/${branch.path}" destPath="greenstone3"/>
+		</svn>
 	</target>
 
 	<target name="set-version-number-property">
-		<if><bool><istrue value="${execute}"/></bool>
-			<rsr file="greenstone3/resources/java/global.properties.in" pattern="(.*)@gsdl3version@(.*)" replacement="$1${version}$2" />
-
-		</if>
+		<rsr file="greenstone3/resources/java/global.properties.in" pattern="(.*)@gsdl3version@(.*)" replacement="$1${version}$2" />
 	</target>
 
 	<target name="set-gdbm-installed-path">
-		<if><bool><istrue value="${execute}"/></bool>
-			<rsr file="greenstone3/build.properties" pattern="(gdbm.installed.path=).*" replacement="$1${mark3.home}/mac/${processor}/gdbm"/>
-		</if>
+		<rsr file="greenstone3/build.properties" pattern="(gdbm.installed.path=).*" replacement="$1${mark3.home}/mac/${processor}/gdbm"/>
 	</target>
 
+	<target name="tweak-makefiles">
+      <rsr
+			file="${basedir}/greenstone3/gs2build/common-src/src/gdbmedit/db2txt/Makefile"
+			pattern="^(LIBS ?=.*)-L${mark3.home}/mac/${processor}/gdbm/lib -lgdbm(.*)$"
+			replacement="$1${mark3.home}/mac/${processor}/gdbm/lib/libgdbm.a$2" />
 
+		<rsr
+			file="${basedir}/greenstone3/gs2build/common-src/src/gdbmedit/txt2db/Makefile"
+			pattern="^(LIBS ?=.*)-L${mark3.home}/mac/${processor}/gdbm/lib -lgdbm(.*)$"
+			replacement="$1${mark3.home}/mac/${processor}/gdbm/lib/libgdbm.a$2" />
 
-
-	<target name="dist-prepare-unix">
-		<if><bool><istrue value="${execute}"/></bool>
-			<ant dir="greenstone3" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" target="prepare-unix"  inheritAll="false"/>
-		</if>	
-	</target>
-
-	<target name="dist-update-unix">
-		<if><bool><istrue value="${execute}"/></bool>
-			<ant dir="greenstone3" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" target="update-unix"  inheritAll="false"/>
-		</if>
-	</target>
-
-	<target name="dist-configure-unix">
-		<if><bool><istrue value="${execute}"/></bool>
-			<ant dir="greenstone3" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" target="configure-unix" inheritAll="false"/>
-		</if>
-	</target>
-
-        <target name="tweak-makefiles">
-                <if><bool><istrue value="${execute}"/></bool>
-		       <rsr
-				file="${basedir}/greenstone3/gs2build/common-src/src/gdbmedit/db2txt/Makefile"
-				pattern="^(LIBS ?=.*)-L${mark3.home}/mac/${processor}/gdbm/lib -lgdbm(.*)$"
-				replacement="$1${mark3.home}/mac/${processor}/gdbm/lib/libgdbm.a$2" />
-
-		        <rsr
-				file="${basedir}/greenstone3/gs2build/common-src/src/gdbmedit/txt2db/Makefile"
-				pattern="^(LIBS ?=.*)-L${mark3.home}/mac/${processor}/gdbm/lib -lgdbm(.*)$"
-				replacement="$1${mark3.home}/mac/${processor}/gdbm/lib/libgdbm.a$2" />
-		        <rsr
-				file="${basedir}/greenstone3/src/packages/javagdbm/jni/Makefile"
-				pattern="^(GDBM_LIBS ?=.*)-L${mark3.home}/mac/${processor}/gdbm/lib -lgdbm(.*)$"
-				replacement="$1${mark3.home}/mac/${processor}/gdbm/lib/libgdbm.a$2" />
-
-               </if>
-        </target>
-
-	<target name="dist-build-unix">
-		<if><bool><istrue value="${execute}"/></bool>
-			<ant dir="greenstone3" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" target="build-unix" inheritAll="false"/>
-		</if>
+		<rsr
+			file="${basedir}/greenstone3/src/packages/javagdbm/jni/Makefile"
+			pattern="^(GDBM_LIBS ?=.*)-L${mark3.home}/mac/${processor}/gdbm/lib -lgdbm(.*)$"
+			replacement="$1${mark3.home}/mac/${processor}/gdbm/lib/libgdbm.a$2" />
 	</target>
 
 	<target name="linux-strip-execs">
-		<if><bool><istrue value="${execute}"/></bool>
-			<exec dir="greenstone3/gs2build/bin/darwin" executable="find">
-				<arg line=". ! -name . -exec strip {} &#59;"/>
-			</exec>
-		</if>
+		<exec dir="greenstone3/gs2build/bin/darwin" executable="find">
+			<arg line=". ! -name . -exec strip {} &#59;"/>
+		</exec>
 	</target>
 
 	<target name="prepare-documentation">
-		<if><bool><istrue value="${execute}"/></bool>
-			<mkdir dir="greenstone3/gsdl-manuals"/>
-			<svn>
-				<checkout url="${svn.root}/documentation/${branch.path}/manuals" destPath="greenstone3/gsdl-manuals/manuals"/>
-				<checkout url="${svn.root}/documentation/${branch.path}/shared" destPath="greenstone3/gsdl-manuals/shared"/>
-			</svn>
-			<javac srcdir="greenstone3/gsdl-manuals/shared"
-			      destdir="greenstone3/gsdl-manuals/shared"
-			      debug="on">
-				<include name="*.java"/>
-			</javac>
-			<unzip src="greenstone3/gsdl-manuals/shared/fop.zip" dest="greenstone3/gsdl-manuals/shared"/>
+		<mkdir dir="greenstone3/gsdl-manuals"/>
+		<svn>
+			<checkout url="${svn.root}/documentation/${branch.path}/manuals" destPath="greenstone3/gsdl-manuals/manuals"/>
+			<checkout url="${svn.root}/documentation/${branch.path}/shared" destPath="greenstone3/gsdl-manuals/shared"/>
+		</svn>
+		<javac srcdir="greenstone3/gsdl-manuals/shared"
+		      destdir="greenstone3/gsdl-manuals/shared"
+		      debug="on">
+			<include name="*.java"/>
+		</javac>
+		<unzip src="greenstone3/gsdl-manuals/shared/fop.zip" dest="greenstone3/gsdl-manuals/shared"/>
 
-			<path id="documentation.compile.classpath">
-				<fileset dir="greenstone3/gsdl-manuals">
-					<include name="**/*.jar"/>
-				</fileset>
-				<pathelement path="greenstone3/gsdl-manuals/shared"/>
-				<pathelement path="greenstone3/gsdl-manuals/manuals"/>
-			</path>
+		<path id="documentation.compile.classpath">
+			<fileset dir="greenstone3/gsdl-manuals">
+				<include name="**/*.jar"/>
+			</fileset>
+			<pathelement path="greenstone3/gsdl-manuals/shared"/>
+			<pathelement path="greenstone3/gsdl-manuals/manuals"/>
+		</path>
 
-			<java classname="ApplyXSLT" classpathref="documentation.compile.classpath" output="greenstone3/gsdl-manuals/manuals/xml-source/en/help-en.xml">
-				<arg value="greenstone3/gsdl-manuals/manuals/processing/gen-gli-help-to-manual-chapter.xsl" />
-				<arg value="greenstone3/gli/help/en/help.xml" />
-				<arg value="greenstone3" />
-			</java>
+		<java classname="ApplyXSLT" classpathref="documentation.compile.classpath" output="greenstone3/gsdl-manuals/manuals/xml-source/en/help-en.xml">
+			<arg value="greenstone3/gsdl-manuals/manuals/processing/gen-gli-help-to-manual-chapter.xsl" />
+			<arg value="greenstone3/gli/help/en/help.xml" />
+			<arg value="greenstone3" />
+		</java>
 
-			<chmod perm="a+x" file="greenstone3/gsdl-manuals/shared/fop/fop.sh"/>
-			<echo>Run generate-pdf.sh</echo>
-			<exec dir="greenstone3/gsdl-manuals/manuals" executable="/bin/sh">
-				<arg line="generate-pdf.sh u en" />
-			</exec>
-		</if>
-	</target>
-
-	<!--
-
-		third level targets
-
-	-->
-
-	<target name="mgpp-add-static">
-		<if><bool><istrue value="${execute}"/></bool>
-			<rsr file="greenstone3/gs2build/indexers/mgpp/configure.in" pattern="^LDFLAGS=$" replacement="LDFLAGS=-static" />
-			<exec dir="greenstone3/gs2build/indexers/mgpp" executable="autoconf" output="greenstone3/gs2build/indexers/mgpp/configure">
-				<arg line="configure.in"/>
-			</exec>
-		</if>
-	</target>
-	<target name="mg-add-static">
-		<if><bool><istrue value="${execute}"/></bool>
-			<rsr file="greenstone3/gs2build/indexers/mg/configure.in" pattern="^LDFLAGS=$" replacement="LDFLAGS=-static" />
-			<exec dir="greenstone3/gs2build/indexers/mg" executable="autoconf" output="greenstone3/gs2build/indexers/mg/configure">
-				<arg line="configure.in"/>
-			</exec>
-		</if>
-	</target>
-	<target name="gs2buildextra-add-static">
-		<if><bool><istrue value="${execute}"/></bool>
-			<rsr file="greenstone3/gs2build/gs2build-extra/packages.configure" pattern="^ENVIRONMENT=&quot;&quot;$" replacement="ENVIRONMENT=&quot;LDFLAGS=-static&quot;" />
-			<rsr file="greenstone3/gs2build/gs2build-extra/configure.in" pattern="^LDFLAGS=$" replacement="LDFLAGS=-static" />
-		</if>
-	</target>
-
-	<target name="wv-add-static">
-		<if><bool><istrue value="${execute}"/></bool>
-			<rsr file="greenstone3/gs2build/packages/wv/wv-gs/Makefile" pattern="^LDFLAGS =\s*$" replacement="LDFLAGS = -static" />
-		</if>
-	</target>
-	<target name="xlhtml-add-static">
-		<if><bool><istrue value="${execute}"/></bool>
-			<rsr file="greenstone3/gs2build/packages/xlhtml/xlhtml-0.4.9.0/xlhtml/Makefile" pattern="^LDFLAGS =\s*$" replacement="LDFLAGS = -static" />
-		</if>
-	</target>
-	<target name="ppthtml-add-static">
-		<if><bool><istrue value="${execute}"/></bool>
-			<rsr file="greenstone3/gs2build/packages/xlhtml/xlhtml-0.4.9.0/ppthtml/Makefile" pattern="^LDFLAGS =\s*$" replacement="LDFLAGS = -static" />
-		</if>
-	</target>
-	<target name="rtftohtml-add-static">
-		<if><bool><istrue value="${execute}"/></bool>
-			<rsr file="greenstone3/gs2build/packages/rtftohtml/rtftohtml_src/Makefile" pattern="-o rtftohtml(.{2})EXEEXT(.{1})" replacement="-o rtftohtml$1EXEEXT$2 -static" />
-		</if>
-	</target>
-	<target name="gdbm-add-static">
-		<if><bool><istrue value="${execute}"/></bool>
-			<rsr file="greenstone3/src/packages/javagdbm/jni/Makefile" pattern="^(GDBM_LIBS)\s*=\s*(.*)-lgdbm(.*)$" replacement="$1=$2/usr/lib/libgdbm.a$3" />
-		</if>
+		<chmod perm="a+x" file="greenstone3/gsdl-manuals/shared/fop/fop.sh"/>
+		<echo>Run generate-pdf.sh</echo>
+		<exec dir="greenstone3/gsdl-manuals/manuals" executable="/bin/sh">
+			<arg line="generate-pdf.sh u en" />
+		</exec>
 	</target>
 
Index: /release-kits/mark3/ant-scripts/create-distribution.xml
===================================================================
--- /release-kits/mark3/ant-scripts/create-distribution.xml	(revision 16743)
+++ /release-kits/mark3/ant-scripts/create-distribution.xml	(revision 16744)
@@ -2,100 +2,70 @@
 <project name="mark3-create-distribution" default="create-distribution">
 
+	<target name="create-distribution">
+		<!-- create distribution -->
+		<antcall target="export-greenstone3" />
+		<antcall target="dist-set-version-number-property" />
+		<antcall target="gli-set-version-numbers"><param name="glibasedir" value="${basedir}/distribution/greenstone3/gli"/></antcall>
 
-	<target name="create-distribution">
+		<ant target="create-distribution-1" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" dir="distribution/greenstone3" inheritAll="false">
+			<property name="app.version" value="${version}"/>
+			<property name="branch.path" value="${branch.path}"/>
+		</ant>
 
-		<!-- create distribution -->
-		<addressedcall target="export-greenstone3" />
-		<addressedcall target="dist-set-version-number-property" />
-		<addressedcall target="dist-set-gli-version" />
-		<addressedcall target="create-distributions-1" />
-		<addressedcall target="create-distributions-2" />
-		<addressedcall target="create-distributions-3" />
-		<addressedcall target="copy-over-build-xml" />
-		<addressedcall target="insert-user-manual"/>
-		<addressedcall target="insert-compiled-binaries"/>
+		<ant target="create-distribution-2" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" dir="distribution/greenstone3" inheritAll="false">
+			<property name="app.version" value="${version}"/>
+			<property name="branch.path" value="${branch.path}"/>
+		</ant>
 
+		<ant target="create-distribution-3" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" dir="distribution/greenstone3" inheritAll="false">
+			<property name="app.version" value="${version}"/>
+			<property name="branch.path" value="${branch.path}"/>
+		</ant>
+
+		<antcall target="copy-over-build-xml" />
+		<antcall target="insert-user-manual"/>
+		<antcall target="insert-compiled-binaries"/>
+		<antcall target="rename-build-xml-for-transit"/>
 	</target>
 
 	<target name="export-greenstone3">
-		<if><bool><istrue value="${execute}"/></bool>
-			<mkdir dir="distribution"/>
-			<delete dir="distribution/greenstone3"/>
-			<svn>
-				<export srcurl="${svn.root}/greenstone3/${branch.path}" destPath="distribution/greenstone3"/>
-				<export srcurl="${svn.root}/gli/${branch.path}" destPath="distribution/greenstone3/gli"/>
-			</svn>
-		</if>
+		<mkdir dir="distribution"/>
+		<delete dir="distribution/greenstone3"/>
+		<svn>
+			<export srcurl="${svn.root}/greenstone3/${branch.path}" destPath="distribution/greenstone3"/>
+			<export srcurl="${svn.root}/gli/${branch.path}" destPath="distribution/greenstone3/gli"/>
+		</svn>
 	</target>
 
 	<target name="dist-set-version-number-property">
-		<if><bool><istrue value="${execute}"/></bool>
-			<rsr file="distribution/greenstone3/resources/java/global.properties.in" pattern="(.*)@gsdl3version@(.*)" replacement="$1${version}$2" />
-		</if>
+		<rsr
+			file="distribution/greenstone3/resources/java/global.properties.in"
+			pattern="(.*)@gsdl3version@(.*)"
+			replacement="$1${version}$2" />
 	</target>
 
-	<target name="dist-set-gli-version">
-		<if><bool><istrue value="${execute}"/></bool>
-			<ant antfile="${mark3.home}/ant-scripts/shared-ant-scripts/operations-on-gli.xml" dir="${basedir}/distribution/greenstone3/gli" target="set-version-numbers"/>
-		</if>
+	<target name="copy-over-build-xml">
+		<move file="distribution/greenstone3/modified-build.xml" tofile="distribution/greenstone3/build.xml"/>
+	</target>
+
+	<target name="insert-user-manual">
+		<copy file="greenstone3/gsdl-manuals/manuals/build/en/pdf/User_en.pdf" tofile="distribution/greenstone3/docs/manual/gs2_user_en.pdf"/>
+	</target>
+
+	<target name="insert-compiled-binaries">
+		<delete dir="distribution/greenstone3/lib/jni"/>
+		<exec executable="cp"><arg line="-r greenstone3/lib/jni distribution/greenstone3/lib"/></exec>
+
+		<delete dir="distribution/greenstone3/gs2build/bin/linux"/>
+		<exec executable="cp"><arg line="-r greenstone3/gs2build/bin/linux distribution/greenstone3/gs2build/bin"/></exec>
+
+		<delete dir="distribution/greenstone3/gs2build/bin/java"/>
+		<exec executable="cp"><arg line="-r greenstone3/gs2build/bin/java distribution/greenstone3/gs2build/bin"/></exec>
+	</target>
+
+	<target name="rename-build-xml-for-transit">
+		<move file="distribution/greenstone3/build.xml" tofile="distribution/greenstone3/greenstone3-build.xml"/>
 	</target>
 
 
-	<target name="create-distributions-1">
-		<if><bool><istrue value="${execute}"/></bool>
-			<ant antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" dir="distribution/greenstone3" target="create-distribution-1" inheritAll="false">
-				<property name="app.version" value="${version}"/>
-				<property name="branch.path" value="${branch.path}"/>
-			</ant>
-		</if>
-	</target>
-
-	<target name="create-distributions-2">
-		<if><bool><istrue value="${execute}"/></bool>
-			<ant antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" dir="distribution/greenstone3" target="create-distribution-2"  inheritAll="false">
-				<property name="app.version" value="${version}"/>
-				<property name="branch.path" value="${branch.path}"/>
-			</ant>
-		</if>
-	</target>
-
-	<target name="create-distributions-3">
-		<if><bool><istrue value="${execute}"/></bool>
-			<ant antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" dir="distribution/greenstone3" target="create-distribution-3"  inheritall="false">
-				<property name="app.version" value="${version}"/>
-				<property name="branch.path" value="${branch.path}"/>
-			</ant>
-		</if>
-	</target>
-
-	<target name="copy-over-build-xml">
-		<if><bool><istrue value="${execute}"/></bool>
-			<move file="distribution/greenstone3/modified-build.xml" tofile="distribution/greenstone3/build.xml"/>
-		</if>
-	</target>
-
-	<target name="insert-user-manual">
-		<if><bool><istrue value="${execute}"/></bool>
-			<copy file="greenstone3/gsdl-manuals/manuals/build/en/pdf/User_en.pdf" tofile="distribution/greenstone3/docs/manual/gs2_user_en.pdf"/>
-		</if>
-	</target>
-
-	<target name="insert-compiled-binaries">
-		<if><bool><istrue value="${execute}"/></bool>
-
-			<delete dir="distribution/greenstone3/lib/jni"/>
-			<exec executable="cp"><arg line="-r greenstone3/lib/jni distribution/greenstone3/lib"/></exec>
-
-			<delete dir="distribution/greenstone3/gs2build/bin/linux"/>
-			<exec executable="cp"><arg line="-r greenstone3/gs2build/bin/linux distribution/greenstone3/gs2build/bin"/></exec>
-
-			<delete dir="distribution/greenstone3/gs2build/bin/java"/>
-			<exec executable="cp"><arg line="-r greenstone3/gs2build/bin/java distribution/greenstone3/gs2build/bin"/></exec>
-
-		</if>
-	</target>
-
-
-
-
 </project>
Index: /release-kits/mark3/ant-scripts/create-installer.xml
===================================================================
--- /release-kits/mark3/ant-scripts/create-installer.xml	(revision 16743)
+++ /release-kits/mark3/ant-scripts/create-installer.xml	(revision 16744)
@@ -3,78 +3,38 @@
 
 	<target name="create-installer">
-		<addressedcall target="setup-for-installer-creation"/>
-		<addressedcall target="compile-installer"/>
+		<antcall target="calculate-component-sizes"/> <!-- from rk3-targets -->
+		<antcall target="copy-installer-files"/>
+		<antcall target="make-installer-files-concrete"/> <!-- from rk3-targets -->
+		<antcall target="compile-installer"/>
 	</target>
 
-	<target name="setup-for-installer-creation">
-		<if><bool><istrue value="${execute}"/></bool>
-
-			<!-- get the size of packages -->
-			<exec executable="du" dir="${basedir}/distribution/greenstone3/packages" outputproperty="du.tomcat"><arg line="-hs tomcat"/></exec>
-			<exec executable="sed" inputstring="${du.tomcat}" outputproperty="component.size.tomcat"><arg line="-e 's/^\(.*\)\s.*$/\1b/g'"/></exec>
-
-			<exec executable="du" dir="${basedir}/distribution/greenstone3/packages" outputproperty="du.ant"><arg line="-hs ant"/></exec>
-			<exec executable="sed" inputstring="${du.ant}" outputproperty="component.size.ant"><arg line="-e 's/^\(.*\)\s.*$/\1b/g'"/></exec>
-
-			<echo>Project Path: ${basedir}/distribution/greenstone3</echo>
-
-			<echo>Getting things ready to compile the installer</echo>
-			<mkdir dir="${basedir}/installer/resources"/>
-			<copy todir="${basedir}/installer" file="${mark3.home}/installer/antinstall-config.xml" overwrite="true" />
-			<copy todir="${basedir}/installer" file="${mark3.home}/installer/build.xml" overwrite="true" />
-			<copy todir="${basedir}/installer/classes" overwrite="true">
-				<fileset dir="${mark3.home}/greenstone3/installer-classes"/>
-				<fileset dir="${mark3.home}/ant-scripts/tasks/orans" includes="RegexSearchReplace.class" />
-			</copy>
-
-			<!-- put the concrete values of things in the config -->
-			<rsr file="${basedir}/installer/antinstall-config.xml" pattern="@version@" replacement="${version}"/>
-			<rsr file="${basedir}/installer/antinstall-config.xml" pattern="@component.size.linux-java@" replacement="${component.size.linux-java}"/>
-			<rsr file="${basedir}/installer/antinstall-config.xml" pattern="@component.size.tomcat@" replacement="${component.size.tomcat}"/>
-			<rsr file="${basedir}/installer/antinstall-config.xml" pattern="@component.size.ant@" replacement="${component.size.ant}"/>
-
-			<rsr file="${basedir}/installer/build.xml" pattern="@java.min.version@" replacement="${java.min.version}"/>
-			<rsr file="${basedir}/installer/build.xml" pattern="@java.extracted@" replacement="${linux-java.extracted}"/>
-
-
-			<!-- put the concrete values of things in the text -->
-
-			<!-- default -->
-			<rsr file="${basedir}/installer/classes/resources/LanguagePack.properties" pattern="@version@" replacement="${version}"/>
-			<rsr file="${basedir}/installer/classes/resources/LanguagePack.properties" pattern="@java.min.version@" replacement="${java.min.version}"/>
-			<rsr file="${basedir}/installer/classes/resources/LanguagePack.properties" pattern="@bundled.version.java@" replacement="${bundled.version.linux-java}"/>
-			<rsr file="${basedir}/installer/classes/resources/LanguagePack.properties" pattern="@bundled.version.tomcat@" replacement="${bundled.version.tomcat}"/>
-			<rsr file="${basedir}/installer/classes/resources/LanguagePack.properties" pattern="@bundled.version.ant@" replacement="${bundled.version.ant}"/>
-
-			<!-- chinese -->
-			<rsr file="${basedir}/installer/classes/resources/LanguagePack_zh_CN.properties" pattern="@version@" replacement="${version}"/>
-			<rsr file="${basedir}/installer/classes/resources/LanguagePack_zh_CN.properties" pattern="@java.min.version@" replacement="${java.min.version}"/>
-			<rsr file="${basedir}/installer/classes/resources/LanguagePack_zh_CN.properties" pattern="@bundled.version.java@" replacement="${bundled.version.linux-java}"/>
-			<rsr file="${basedir}/installer/classes/resources/LanguagePack_zh_CN.properties" pattern="@bundled.version.tomcat@" replacement="${bundled.version.tomcat}"/>
-			<rsr file="${basedir}/installer/classes/resources/LanguagePack_zh_CN.properties" pattern="@bundled.version.ant@" replacement="${bundled.version.ant}"/>
-
-		</if>
+	<target name="copy-installer-files">
+		<echo>Getting things ready to compile the installer</echo>
+		<mkdir dir="${basedir}/installer/resources"/>
+		<copy todir="${basedir}/installer" file="${mark3.home}/installer/antinstall-config.xml" overwrite="true" />
+		<copy todir="${basedir}/installer" file="${mark3.home}/installer/build.xml" overwrite="true" />
+		<copy todir="${basedir}/installer/classes" overwrite="true">
+			<fileset dir="${mark3.home}/greenstone3/installer-classes"/>
+			<fileset dir="${mark3.home}/ant-scripts/tasks/orans" includes="RegexSearchReplace.class" />
+		</copy>
 	</target>
 
 	<target name="compile-installer">
-		<if><bool><istrue value="${execute}"/></bool>
+		<installer file="${basedir}/installer/Greenstone-${version}-MacOS-${processor}.jar"
+				compress="true"
+				extractType="NonExtractor"
+				installConfig="${basedir}/installer/antinstall-config.xml"
+				buildFile="${basedir}/installer/build.xml"
+				antInstallLib="${mark3.home}/packages/ant-installer/lib"
+				antLib="${mark3.home}/packages/ant/lib"
+				validateConfig="true"
+				failOnError="false"
+				icons="bluecurve">
 
-			<installer file="${basedir}/installer/Greenstone-${version}-MacOS-${processor}.jar"
-					compress="true"
-					extractType="NonExtractor"
-					installConfig="${basedir}/installer/antinstall-config.xml"
-					buildFile="${basedir}/installer/build.xml"
-					antInstallLib="${mark3.home}/packages/ant-installer/lib"
-					antLib="${mark3.home}/packages/ant/lib"
-					validateConfig="true"
-					failOnError="false"
-					icons="bluecurve">
+			<!-- copy all the important files into the archive to be extracted for install -->
+			<zipfileset dir="${basedir}/installer/classes" includes="**/*" /> <!-- installer classes -->
+			<zipfileset dir="${basedir}/distribution/greenstone3" includes="**/*"/>
 
-				<!-- copy all the important files into the archive to be extracted for install -->
-				<zipfileset dir="${basedir}/installer/classes" includes="**/*" /> <!-- installer classes -->
-				<zipfileset dir="${basedir}/distribution/greenstone3" includes="**/*"/>
-
-			</installer>
-		</if>
+		</installer>
 	</target>
 
Index: /release-kits/mark3/ant-scripts/wrap.xml
===================================================================
--- /release-kits/mark3/ant-scripts/wrap.xml	(revision 16743)
+++ /release-kits/mark3/ant-scripts/wrap.xml	(revision 16744)
@@ -3,36 +3,34 @@
 
 	<target name="wrap">
-		<if><bool><istrue value="${execute}"/></bool>
+		<!-- create and setup the build directory -->
+		<delete dir="${basedir}/wrapped-installer"/>
+		<mkdir dir="${basedir}/wrapped-installer"/>
+		<copy todir="${basedir}/wrapped-installer/Greenstone${version}.app"><fileset dir="${mark3.home}/mac/Wrapper.app"/></copy>
+		<copy todir="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/Resources"><fileset dir="${mark2.home}/greenstone3/icon/icon.icns"/></copy>
+		<chmod file="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/MacOS/JavaApplicationStub" perm="ug+x"/>
 
-			<!-- create and setup the build directory -->
-			<delete dir="${basedir}/wrapped-installer"/>
-			<mkdir dir="${basedir}/wrapped-installer"/>
-			<copy todir="${basedir}/wrapped-installer/Greenstone${version}.app"><fileset dir="${mark3.home}/mac/Wrapper.app"/></copy>
-			<chmod file="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/MacOS/JavaApplicationStub" perm="ug+x"/>
+		<!-- copy bundled files -->
+		<copy todir="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/Resources/Java" file="${basedir}/installer/Greenstone-${version}-MacOS-${processor}.jar"/>
 
-			<!-- copy bundled files -->
-			<copy todir="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/Resources/Java" file="${basedir}/installer/Greenstone-${version}-MacOS-${processor}.jar"/>
+		<!-- substitute in real values -->
+		<rsr file="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/Info.plist" pattern="@jar@" replacement="Greenstone-${version}-MacOS-${processor}.jar"/>
+		<rsr file="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/Info.plist" pattern="@version@" replacement="${version}"/>
 
-			<!-- substitute in real values -->
-			<rsr file="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/Info.plist" pattern="@jar@" replacement="Greenstone-${version}-MacOS-${processor}.jar"/>
-			<rsr file="${basedir}/wrapped-installer/Greenstone${version}.app/Contents/Info.plist" pattern="@version@" replacement="${version}"/>
+                     <!-- get size of app -->
+                     <exec executable="du" dir="${basedir}/wrapped-installer" outputproperty="app.du"><arg line="-ks Greenstone${version}.app"/></exec>
+		<echo>app.du: ${app.du}</echo>
+                     <exec executable="sed" inputstring="${app.du}" outputproperty="app.size"><arg line="-e 's/^\([0-9]*\).*$/\1/g'"/></exec>
+		<echo>app.size: ${app.size}</echo>
+		<math result="dmg.size" operand1="${app.size}" operation="+" operand2="2048" datatype="int"/>
+		<echo>dmg.size: ${dmg.size}</echo>
 
-                        <!-- get size of app -->
-                        <exec executable="du" dir="${basedir}/wrapped-installer" outputproperty="app.du"><arg line="-ks Greenstone${version}.app"/></exec>
-			<echo>app.du: ${app.du}</echo>
-                        <exec executable="sed" inputstring="${app.du}" outputproperty="app.size"><arg line="-e 's/^\([0-9]*\).*$/\1/g'"/></exec>
-			<echo>app.size: ${app.size}</echo>
-			<math result="dmg.size" operand1="${app.size}" operation="+" operand2="2048" datatype="int"/>
-			<echo>dmg.size: ${dmg.size}</echo>
-
-			<!-- create disk image -->
-			<exec dir="${basedir}/wrapped-installer" executable="hdiutil"><arg line="create -size ${dmg.size}k -fs HFS+ -volname Greenstone${version} Greenstone${version}.dmg"/></exec>
-			<!-- mount it -->
-			<exec executable="hdiutil" dir="${basedir}/wrapped-installer"><arg line="attach Greenstone${version}.dmg"/></exec>
-			<!-- copy file into it -->
-			<exec executable="cp" dir="${basedir}/wrapped-installer"><arg line="-r Greenstone${version}.app /Volumes/Greenstone${version}"/></exec>
-			<!-- unmount it-->
-			<exec executable="hdiutil" dir="${basedir}/wrapped-installer"><arg line="detach /Volumes/Greenstone${version}"/></exec>
-		</if>
+		<!-- create disk image -->
+		<exec dir="${basedir}/wrapped-installer" executable="hdiutil"><arg line="create -size ${dmg.size}k -fs HFS+ -volname Greenstone${version} Greenstone${version}.dmg"/></exec>
+		<!-- mount it -->
+		<exec executable="hdiutil" dir="${basedir}/wrapped-installer"><arg line="attach Greenstone${version}.dmg"/></exec>
+		<!-- copy file into it -->
+		<exec executable="cp" dir="${basedir}/wrapped-installer"><arg line="-r Greenstone${version}.app /Volumes/Greenstone${version}"/></exec>
+		<!-- unmount it-->
+		<exec executable="hdiutil" dir="${basedir}/wrapped-installer"><arg line="detach /Volumes/Greenstone${version}"/></exec>
 	</target>
 