Index: release-kits/wirk2/ant-scripts/wrap.xml
===================================================================
--- release-kits/wirk2/ant-scripts/wrap.xml	(revision 16633)
+++ release-kits/wirk2/ant-scripts/wrap.xml	(revision 16745)
@@ -3,137 +3,116 @@
 
 	<target name="wrap">
-		<addressedcall target="copy-files-for-wrapping"/>
-		<addressedcall target="tweak-files-for-wrapping"/>
-		<addressedcall target="compile-resources"/>
-		<addressedcall target="compile-wrapper"/>
-		<addressedcall target="link-wrapper-no-java"/>
-		<addressedcall target="link-wrapper-with-java"/>
+		<antcall target="copy-files-for-wrapping"/>
+		<antcall target="tweak-files-for-wrapping"/>
+		<antcall target="compile-resources"/>
+		<antcall target="compile-wrapper"/>
+		<antcall target="link-wrapper-no-java"/>
+		<antcall target="link-wrapper-with-java"/>
 	</target>
 
 	<target name="copy-files-for-wrapping">
-		<if><bool><istrue value="${execute}"/></bool>
-			
-			<!--create a directory to build the wrapped installer in -->
-			<mkdir dir="${basedir}/wrapped-installer/build"/>
-			
-			<!-- copy source files -->
-			<copy todir="${basedir}/wrapped-installer/build" file="${wirk2.home}/windows/wrapper/wrapper.cpp"  overwrite="true"/>
-			<copy todir="${basedir}/wrapped-installer/build" file="${wirk2.home}/packages/search4j/libsearch4j.cpp" overwrite="true"/>
-			<copy todir="${basedir}/wrapped-installer/build" file="${wirk2.home}/packages/search4j/libsearch4j.h" overwrite="true"/>
+		<!--create a directory to build the wrapped installer in -->
+		<mkdir dir="${basedir}/wrapped-installer/build"/>
 		
-		</if>
+		<!-- copy source files -->
+		<copy todir="${basedir}/wrapped-installer/build" file="${wirk2.home}/windows/wrapper/wrapper.cpp"  overwrite="true"/>
+		<copy todir="${basedir}/wrapped-installer/build" file="${wirk2.home}/packages/search4j/libsearch4j.cpp" overwrite="true"/>
+		<copy todir="${basedir}/wrapped-installer/build" file="${wirk2.home}/packages/search4j/libsearch4j.h" overwrite="true"/>
 	</target>
 	
 	<target name="tweak-files-for-wrapping">
-		<if><bool><istrue value="${execute}"/></bool>
-			
-			<!-- substitute the real java installer filename and min version into various files -->
-			<echo>Substitute concrete values of things into source files</echo>
-			<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@java.installer@" replacement="${windows-java.installer}"/>
-			<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@java.min.version@" replacement="${java.min.version}"/>
-			<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@bundled.version.java@" replacement="${bundled.version.windows-java}"/>
-			
-		</if>
+		<!-- substitute the real java installer filename and min version into various files -->
+		<echo>Substitute concrete values of things into source files</echo>
+		<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@java.installer@" replacement="${windows-java.installer}"/>
+		<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@java.min.version@" replacement="${java.min.version}"/>
+		<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@bundled.version.java@" replacement="${bundled.version.windows-java}"/>
 	</target>
 
 	<target name="compile-resources">
-		<if><bool><istrue value="${execute}"/></bool>
+		<if>
+			<bool>
+				<not>
+					<uptodate targetfile="${basedir}/wrapped-installer/build/wrapper.RES">
+						<srcfiles dir="${wirk2.home}/greenstone2/icon" includes="gs2.ico"/>
+						<srcfiles dir="${wirk2.home}/windows/wrapper" includes="${windows-java.installer}"/>
+						<srcfiles dir="${wirk2.home}/windows/wrapper" includes="*.bmp"/>
+						<srcfiles dir="${wirk2.home}/greenstone2/wrapper" includes="*.bmp"/>
+						<srcfiles dir="${wirk2.home}/windows/wrapper" includes="*.rc"/>
+						<srcfiles dir="${basedir}/installer" includes="greenstone2.jar"/>
+					</uptodate>
+				</not>
+			</bool>
 			
-			<if>
-				<bool>
-					<not>
-						<uptodate targetfile="${basedir}/wrapped-installer/build/wrapper.RES">
-							<srcfiles dir="${wirk2.home}/greenstone2/icon" includes="gs2.ico"/>
-							<srcfiles dir="${wirk2.home}/windows/wrapper" includes="${windows-java.installer}"/>
-							<srcfiles dir="${wirk2.home}/windows/wrapper" includes="*.bmp"/>
-							<srcfiles dir="${wirk2.home}/greenstone2/wrapper" includes="*.bmp"/>
-							<srcfiles dir="${wirk2.home}/windows/wrapper" includes="*.rc"/>
-							<srcfiles dir="${basedir}/installer" includes="greenstone2.jar"/>
-						</uptodate>
-					</not>
-				</bool>
-				
-				<echo>Compiling resources</echo>
-				
-				<echo>getting the template resource script</echo>
-				<copy todir="${basedir}/wrapped-installer/build" file="${wirk2.home}/windows/wrapper/wrapper.rc" overwrite="true"/>
-				
-				<echo>copying the small resource files into place</echo>
-				<copy todir="${basedir}/wrapped-installer/build" overwrite="true">
-					<fileset dir="${wirk2.home}/windows/wrapper" includes="*.bmp"/>
-					<fileset dir="${wirk2.home}/greenstone2/wrapper" includes="*.bmp"/>
-					<fileset dir="${wirk2.home}/greenstone2/icon" includes="icon.ico"/>
-				</copy>
-				
-				<echo>adding greenstone2.jar to the resource script as chunks</echo>
-				<rsplit
-					resource="${basedir}/installer/greenstone-${version}-win32.jar"
-					outputDir="${basedir}/wrapped-installer/build"
-					resourceScript="${basedir}/wrapped-installer/build/wrapper.rc"
-					resourceName="JAR"
-					resourceType="JAR"
-					chunkSize="${resources.chunksize}"
-					/>
+			<echo>Compiling resources</echo>
 			
-				<echo>resource compiling the resource script</echo>
-				<exec executable="rc" dir="${basedir}/wrapped-installer/build">
-					<arg line="wrapper.rc"/>
-				</exec>
-				
-				<echo>making a copy of the resource script</echo>
-				<copy file="${basedir}/wrapped-installer/build/wrapper.rc" tofile="${basedir}/wrapped-installer/build/wrapper-with-jre.rc" overwrite="true"/>
-				
-				<echo>adding ${windows-java.installer} to the copy as chunks</echo>
-				<rsplit
-					resource="${wirk2.home}/windows/wrapper/${windows-java.installer}"
-					outputDir="${basedir}/wrapped-installer/build"					
-					resourceScript="${basedir}/wrapped-installer/build/wrapper-with-jre.rc"
-					resourceName="JAVA"
-					resourceType="EXE"
-					chunkSize="${resources.chunksize}"
-					/>
+			<echo>getting the template resource script</echo>
+			<copy todir="${basedir}/wrapped-installer/build" file="${wirk2.home}/windows/wrapper/wrapper.rc" overwrite="true"/>
+			
+			<echo>copying the small resource files into place</echo>
+			<copy todir="${basedir}/wrapped-installer/build" overwrite="true">
+				<fileset dir="${wirk2.home}/windows/wrapper" includes="*.bmp"/>
+				<fileset dir="${wirk2.home}/greenstone2/wrapper" includes="*.bmp"/>
+				<fileset dir="${wirk2.home}/greenstone2/icon" includes="icon.ico"/>
+			</copy>
+			
+			<echo>adding greenstone2.jar to the resource script as chunks</echo>
+			<rsplit
+				resource="${basedir}/installer/greenstone-${version}-win32.jar"
+				outputDir="${basedir}/wrapped-installer/build"
+				resourceScript="${basedir}/wrapped-installer/build/wrapper.rc"
+				resourceName="JAR"
+				resourceType="JAR"
+				chunkSize="${resources.chunksize}"
+				/>
+		
+			<echo>resource compiling the resource script</echo>
+			<exec executable="rc" dir="${basedir}/wrapped-installer/build">
+				<arg line="wrapper.rc"/>
+			</exec>
+			
+			<echo>making a copy of the resource script</echo>
+			<copy file="${basedir}/wrapped-installer/build/wrapper.rc" tofile="${basedir}/wrapped-installer/build/wrapper-with-jre.rc" overwrite="true"/>
+			
+			<echo>adding ${windows-java.installer} to the copy as chunks</echo>
+			<rsplit
+				resource="${wirk2.home}/windows/wrapper/${windows-java.installer}"
+				outputDir="${basedir}/wrapped-installer/build"					
+				resourceScript="${basedir}/wrapped-installer/build/wrapper-with-jre.rc"
+				resourceName="JAVA"
+				resourceType="EXE"
+				chunkSize="${resources.chunksize}"
+				/>
 
-				<echo>resource compiling the generated resource script again</echo>
-				<exec executable="rc" dir="${basedir}/wrapped-installer/build">
-					<arg line="wrapper-with-jre.rc"/>
-				</exec>
-				
-				<else>
-					<echo>Resourses are up-to-date, will not compile</echo>
-				</else>
-			</if>
+			<echo>resource compiling the generated resource script again</echo>
+			<exec executable="rc" dir="${basedir}/wrapped-installer/build">
+				<arg line="wrapper-with-jre.rc"/>
+			</exec>
 			
-			
+			<else>
+				<echo>Resourses are up-to-date, will not compile</echo>
+			</else>
 		</if>
 	</target>
 
 	<target name="compile-wrapper">
-		<if><bool><istrue value="${execute}"/></bool>
+		<exec executable="cl" dir="${basedir}/wrapped-installer/build">
+			<arg line="/c -GX /DWINDOWS=yes libsearch4j.cpp /out:libsearch4j.obj"/>
+		</exec>
 
-			<exec executable="cl" dir="${basedir}/wrapped-installer/build">
-				<arg line="/c -GX /DWINDOWS=yes libsearch4j.cpp /out:libsearch4j.obj"/>
-			</exec>
-
-			<exec executable="cl" dir="${basedir}/wrapped-installer/build">
-				<arg line="/c -GX /DWINDOWS=yes wrapper.cpp /out:wrapper.obj"/>
-			</exec>
-			
-		</if>
+		<exec executable="cl" dir="${basedir}/wrapped-installer/build">
+			<arg line="/c -GX /DWINDOWS=yes wrapper.cpp /out:wrapper.obj"/>
+		</exec>
 	</target>
 	
 	<target name="link-wrapper-no-java">
-		<if><bool><istrue value="${execute}"/></bool>
-			<exec executable="link" dir="${basedir}/wrapped-installer/build">
-				<arg line="/OUT:..\greenstone-${version}-win32.exe gdi32.lib advapi32.lib shell32.lib user32.lib libsearch4j.obj wrapper.obj wrapper.res"/>
-			</exec>
-		</if>
+		<exec executable="link" dir="${basedir}/wrapped-installer/build">
+			<arg line="/OUT:..\greenstone-${version}-win32.exe gdi32.lib advapi32.lib shell32.lib user32.lib libsearch4j.obj wrapper.obj wrapper.res"/>
+		</exec>
 	</target>
 
 	<target name="link-wrapper-with-java">
-		<if><bool><istrue value="${execute}"/></bool>
-			<exec executable="link" dir="${basedir}/wrapped-installer/build">
-				<arg line="/OUT:..\greenstone-${version}-win32-with-java.exe gdi32.lib advapi32.lib shell32.lib user32.lib libsearch4j.obj wrapper.obj wrapper-with-jre.res"/>
-			</exec>
-		</if>
+		<exec executable="link" dir="${basedir}/wrapped-installer/build">
+			<arg line="/OUT:..\greenstone-${version}-win32-with-java.exe gdi32.lib advapi32.lib shell32.lib user32.lib libsearch4j.obj wrapper.obj wrapper-with-jre.res"/>
+		</exec>
 	</target>
 